unit form_analyser;

interface

uses
  //WIN Windows,
  Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls,
  IniFiles,
  LResources,
  LCLType;

type
  TfrmAnalyser = class(TForm)
    chkModifiedLoopVariable: TCheckBox;
    chkInfiniteLoop: TCheckBox;
    chkNonInitializedVariables: TCheckBox;
    chkEmptyTrue: TCheckBox;
    chkUpperCaseIdentifiers: TCheckBox;
    Panel1: TPanel;
    btnOK: TButton;
    Panel2: TPanel;
    chkEnabled: TCheckBox;
    chkProgramName: TCheckBox;
    chkCorrectIdentifiers: TCheckBox;
    chkIfAffectations: TCheckBox;
    chkProgramnameIndificer: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
    frmAnalyser: TfrmAnalyser;            // 1.25


implementation

//uses form_analyser;




procedure TfrmAnalyser.FormCreate(Sender: TObject);
var inif:TIniFile;
begin
  try
   inif:=TInifile.Create(extractFilePath(application.exename)+'structorizer.ini');
   // analyser
   self.chkModifiedLoopVariable.Checked:=inif.ReadBool('Analyser','ModifiedLoopVariable',true);
   self.chkInfiniteLoop.Checked:=inif.ReadBool('Analyser','InfiniteLoop',true);
   self.chkNonInitializedVariables.Checked:=inif.ReadBool('Analyser','NonInitializedVariables',true);
   self.chkEmptyTrue.Checked:=inif.ReadBool('Analyser','EmptyTrue',true);
   self.chkUpperCaseIdentifiers.Checked:=inif.ReadBool('Analyser','UpperCaseIdentifiers',true);
   self.chkProgramName.Checked:=inif.ReadBool('Analyser','ProgramName',true);
   self.chkCorrectIdentifiers.Checked:=inif.ReadBool('Analyser','CorrectIdentifiers',true);
   self.chkIfAffectations.Checked:=inif.ReadBool('Analyser','IfAffectations',true);
   self.chkProgramnameIndificer.Checked:=inif.ReadBool('Analyser','chkProgramnameIndificer',true);

   self.chkEnabled.Checked:=inif.ReadBool('Analyser','Enabled',false);
 finally
 //showmessage(rev+#13+control);
 // free INI File
   inif.Free;
 end;

end;

procedure TfrmAnalyser.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if(key=vk_escape) then modalresult:=mrcancel;  //1.25
end;

initialization
  {$I form_analyser.lrs}


end.
