unit form_colors;

interface

uses
  //WIN Windows,
  Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs,
  Utils, StdCtrls, ExtCtrls,
  LResources,
  LCLType;

type
  TfrmColors = class(TForm)
    dlgColor: TColorDialog;
    Panel2: TPanel;
    chkColorizer: TCheckBox;
    procedure lblColorClick(Sender: TObject);
    procedure chkColorizerClick(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
  
var
    frmColors: TfrmColors;                // 1.25



implementation

uses form_main;




procedure TfrmColors.lblColorClick(Sender: TObject);
begin
 mainform.tmColorizer.Enabled:=false;
 if(dlgColor.Execute) then
 begin
  mainform.tmColorizer.Tag:=1;
  (sender as TLabel).Font.Color:=dlgColor.Color;
 end;
 mainform.tmColorizer.Enabled:=true;
end;

procedure TfrmColors.chkColorizerClick(Sender: TObject);
begin
  if(self.chkColorizer.checked=true) then mainform.tmColorizerTimer(sender);
  mainform.tmColorizer.Enabled:=chkColorizer.Checked;
  if(chkColorizer.Checked=false) then with mainform do
  begin
    vars.Clear;
    colors.Clear;
    mainform.ReBuild;
  end
  else
  begin
    mainform.tmColorizer.Tag:=1;
    mainform.tmColorizerTimer(sender);
  end;
end;

procedure TfrmColors.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if(key=vk_escape) then modalresult:=mrcancel;
end;

initialization
  {$I form_colors.lrs}


end.
