#!/bin/sh
DoExitAsm ()
{ echo "An error occurred while assembling $1"; exit 1; }
DoExitLink ()
{ echo "An error occurred while linking $1"; exit 1; }
echo Assembling form_main
/usr/bin/as -o form_main.o form_main.s -arch i386
if [ $? != 0 ]; then DoExitAsm form_main; fi
rm form_main.s
echo Assembling form_mycolors
/usr/bin/as -o form_mycolors.o form_mycolors.s -arch i386
if [ $? != 0 ]; then DoExitAsm form_mycolors; fi
rm form_mycolors.s
echo Assembling form_print
/usr/bin/as -o form_print.o form_print.s -arch i386
if [ $? != 0 ]; then DoExitAsm form_print; fi
rm form_print.s
echo Assembling form_colors
/usr/bin/as -o form_colors.o form_colors.s -arch i386
if [ $? != 0 ]; then DoExitAsm form_colors; fi
rm form_colors.s
echo Assembling form_source
/usr/bin/as -o form_source.o form_source.s -arch i386
if [ $? != 0 ]; then DoExitAsm form_source; fi
rm form_source.s
echo Assembling utils
/usr/bin/as -o Utils.o Utils.s -arch i386
if [ $? != 0 ]; then DoExitAsm utils; fi
rm Utils.s
echo Assembling form_test
/usr/bin/as -o form_test.o form_test.s -arch i386
if [ $? != 0 ]; then DoExitAsm form_test; fi
rm form_test.s
echo Assembling structorizer
/usr/bin/as -o structorizer.o structorizer.s -arch i386
if [ $? != 0 ]; then DoExitAsm structorizer; fi
rm structorizer.s
echo Linking structorizer
/usr/bin/ld  -framework carbon     -multiply_defined suppress -L. -o structorizer `cat link.res`
if [ $? != 0 ]; then DoExitLink structorizer; fi
