unit class_label;

interface

uses StdCtrls,
     Types,
     Graphics,
     Classes,
     ExtCtrls,
     //WIN Windows,
     SysUtils;

type BLabel = class(TLabel)
                 public
                   procedure setCaption(_text:UTF8string);
                 protected
                   procedure Paint; override;
                 private
              end;


implementation

procedure BLabel.Paint;
var RectBorder,MyRect:TRect;
    sl:TStringlist;
    max,i:word;
begin
// inherited Paint;
 with self.canvas do
 begin
    if not Transparent then begin
      Brush.Color := Self.Color;
      Brush.Style := bsSolid;
      FillRect(ClientRect);
    end;
    Brush.Style := bsClear;
 end;

 MyRect:=self.ClientRect;
 //LAZ RectBorder:=Rect(MyRect.left, MyRect.top, MyRect.right, MyRect.bottom);
 RectBorder.Left:=myrect.left;
 RectBorder.top:=myrect.top;
 rectBorder.Right:=myrect.right;
 rectborder.bottom:=myrect.bottom;
 //LAZ
 //LAZ Frame3D(self.Canvas,RectBorder,clWindowFrame,clWindowFrame, 1);

 RectBorder.left:=RectBorder.left+2;
// sl:=TStringlist.Create;
// sl.text:=caption;
// if(sl.count>0) then
// begin
//   for i:=0 to sl.count-1 do
//   begin
     //RectBorder.top:=MyRect.top-sl.count*(canvas.TextHeight(sl[i])+4);                                                  // DT_SINGLELINE
    canvas.TextOut(myrect.Left+8,
                    myrect.Top+8,caption);
     //DrawText(Canvas.Handle, PCHar(caption), StrLen(PChar(caption)), RectBorder, DT_LEFT or DT_NOPREFIX or DT_VCENTER);
//   end;
// end;
// sl.free;
end;

procedure BLabel.setCaption(_text:UTF8string);
var sl:TStringlist;
    max,i:word;
begin
 self.AutoSize:=false;
 sl:=TStringlist.Create;
 sl.text:=_text;
 if(sl.count>0) then
 begin
  self.caption:=_text;
  max:=0;
  for i:=0 to sl.count-1 do
  begin
    if(canvas.TextWidth(sl[i])>max) then max:=canvas.TextWidth(sl[i]);
  end;
  self.Width:=max+8;
  self.height:=(sl.count)*(canvas.TextHeight(sl[0])+0)+4;
 end;
 sl.free;
end;


end.
