unit form_font;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ExtCtrls,
  LCLType;

type

  { TfrmFont }

  TfrmFont = class(TForm)
    btnOK: TButton;
    lblTest: TLabel;
    lblName: TLabel;
    lblSize: TLabel;
    lstName: TListBox;
    lstSize: TListBox;
    Panel1: TPanel;
    procedure Edit1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure lstNameClick(Sender: TObject);
    procedure lstSizeClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  frmFont: TfrmFont;

implementation

{ TfrmFont }

procedure TfrmFont.FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState );
begin
 if(key=vk_escape) then modalresult:=mrcancel; //1.25
end;

procedure TfrmFont.lstNameClick(Sender: TObject);
begin
  if(lstName.itemindex>=0) then
  begin
    lblTest.Font.Name:=lstName.items[lstName.itemindex];
  end;
end;

procedure TfrmFont.lstSizeClick(Sender: TObject);
begin
  if(lstSize.itemindex>=0) then lblTest.Font.Size:=strtoint(lstSize.items[lstSize.itemindex]);
end;

procedure TfrmFont.FormCreate(Sender: TObject);
var i:integer;
begin
  lstName.items:=screen.Fonts;
  for i:=9 to 40 do lstSize.items.add(inttostr(I));
end;

procedure TfrmFont.Edit1Change(Sender: TObject);
begin
end;

initialization
  {$I form_font.lrs}

end.

