unit form_main;

{$Define NOANALYSER}
{$Define NOMDI}
{$Define NODEBUG}

interface

uses
  Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls,
  class_element,
  class_instruction,
  class_root,
  class_alternative,
  class_for,
  class_subqueue,
  class_while,
  class_repeat,
  class_case,
  class_error,
  class_call,
  class_jump,
  class_manager,
  Menus,
  ClipBrd,
  StrUtils, ComCtrls, ToolWin, ImgList, ActnList,
  Contnrs,
  RegExpr,
  Registry,
  IniFiles,
  GrammarReader, GOLDParser,
  Symbol, Token,
  SRUtils,
  ExtDlgs,
  //LAZ jpeg,
  //LAZ Match,
  Utils,
  //WIN ShellAPI,
  class_label,
  //LAZ Label3D,
  //LAZ Preview,
  form_analyser, form_input, form_source, form_variables, form_colors,
  form_print, form_preferences, form_update, form_mycolors,
  Math,
  lclintf,
  ecxmlparser,
  ecxmlsaxtokenizer,
  XMLcfg,
  XMLSupport,
  LResources, ColorBox,
  Printers, PrintersDlgs,
  LCLType,
  form_font,
  sockets, IpHtml;


const VERSION = '2.00';
      TITLE   = 'Structorizer';
      {$IfDef ANALYSER}
        ANALYSER = true;
      {$Else}
        ANALYSER = false;
      {$EndIf}

type

  { Tmainform }

  Tmainform = class(TForm)
    analysePoints: TListBox;
    Button3: TButton;
    mLuxemburgish: TMenuItem;
    // comment
    PoopupMenu: TPopupMenu;
    //PopupMenu: TPopupMenu;
    //PopupMenu: TPopupMenu;
    //PopupMenu: TPopupMenu;
    //PopupMenu: TPopupMenu;
    //PopupMenu: TPopupMenu;
    //PopupMenu: TPopupMenu;
    PrintDialog: TPrintDialog;
    SavePicMac: TSaveDialog;
    //PopupMenu: TPopupMenu;
    smRemove: TMenuItem;
    smAdd: TMenuItem;
    smBefore: TMenuItem;
    smAfter: TMenuItem;
    smBeforeInstruction: TMenuItem;
    smBeforeAlternative: TMenuItem;
    smBeforeFor: TMenuItem;
    smAfterInstruction: TMenuItem;
    smAfterAlternative: TMenuItem;
    smAfterFor: TMenuItem;
    smEdit: TMenuItem;
    smBeforeWHile: TMenuItem;
    smAfterWhile: TMenuItem;
    smAfterRepeat: TMenuItem;
    smBeforeRepeat: TMenuItem;
    MainMenu1: TMainMenu;
    mainFile: TMenuItem;
    mainHelp: TMenuItem;
    mAbout: TMenuItem;
    mainEdit: TMenuItem;
    smCopyGraphics: TMenuItem;
    Save: TSaveDialog;
    Open: TOpenDialog;
    mOpen: TMenuItem;
    mSave: TMenuItem;
    N1: TMenuItem;
    mQuit: TMenuItem;
    Button1: TButton;
    analyseSplitter: TSplitter;
    ToolBar: TToolBar;
    tNew: TToolButton;
    tOpen: TToolButton;
    mNew: TMenuItem;
    tSave: TToolButton;
    ToolButton4: TToolButton;
    ImageList: TImageList;
    Panel1: TPanel;
    ToolButton1: TToolButton;
    tRemove: TToolButton;
    tEdit: TToolButton;
    ToolButton2: TToolButton;
    tInstructionBefore: TToolButton;
    tAlternativeBefore: TToolButton;
    tForBefore: TToolButton;
    tWhileBefore: TToolButton;
    tRepeatBefore: TToolButton;
    ToolButton9: TToolButton;
    tInstructionAfter: TToolButton;
    tAlternativeAfter: TToolButton;
    tForAfter: TToolButton;
    tWhileAfter: TToolButton;
    tRepeatAfter: TToolButton;
    ToolButton3: TToolButton;
    tAbout: TToolButton;
    N3: TMenuItem;
    mRemove: TMenuItem;
    mEdit: TMenuItem;
    mAdd: TMenuItem;
    mBefore: TMenuItem;
    mAfter: TMenuItem;
    mInstructionBefore: TMenuItem;
    mAlternativeBefore: TMenuItem;
    mForBefore: TMenuItem;
    mWhileBefore: TMenuItem;
    mRepeatBefore: TMenuItem;
    mInstructionAfter: TMenuItem;
    mAlternativeAfter: TMenuItem;
    mForAfter: TMenuItem;
    mWhileAfter: TMenuItem;
    mRepeatAfter: TMenuItem;
    ActionList: TActionList;
    aNew: TAction;
    aOpen: TAction;
    aSave: TAction;
    aCopyGraphics: TAction;
    aRemove: TAction;
    aEdit: TAction;
    aAbout: TAction;
    aInstructionBefore: TAction;
    aAlternativeBefore: TAction;
    aForBefore: TAction;
    aWhileBefore: TAction;
    aRepeatBefore: TAction;
    aInstructionAfter: TAction;
    aAlternativeAfter: TAction;
    aForAfter: TAction;
    aWhileAfter: TAction;
    aRepeatAfter: TAction;
    aMoveUp: TAction;
    aMoveDown: TAction;
    N2: TMenuItem;
    Move1: TMenuItem;
    Movedown1: TMenuItem;
    tMoveUp: TToolButton;
    tMoveDown: TToolButton;
    smMoveUp: TMenuItem;
    smMoveDown: TMenuItem;
    mSaveAs: TMenuItem;
    aSaveAs: TAction;
    Button2: TButton;
    mainPreferences: TMenuItem;
    mFont: TMenuItem;
    FontDilog: TFontDialog;
    tProgram: TToolButton;
    tFunction: TToolButton;
    aProgram: TAction;
    aFunction: TAction;
    aFont: TAction;
    N4: TMenuItem;
    smProgram: TMenuItem;
    smFunction: TMenuItem;
    mGraph: TMenuItem;
    mImport: TMenuItem;
    mReadSourceFile: TMenuItem;
    OpenSource: TOpenDialog;
    mCreateFromText: TMenuItem;
    mExport: TMenuItem;
    N5: TMenuItem;
    panelRealTime: TPanel;
    status: TPanel;
    codesource: TMemo;
    Splitter1: TSplitter;
    mRealtime: TMenuItem;
    realTimer: TTimer;
    aExportSourceCode: TAction;
    smPascalSource: TMenuItem;
    N6: TMenuItem;
    smColors: TMenuItem;
    White1: TMenuItem;
    aWhite: TAction;
    aRed: TAction;
    Red1: TMenuItem;
    aOrange: TAction;
    aGreen: TAction;
    aGray: TAction;
    aBlue: TAction;
    aRose: TAction;
    Orange1: TMenuItem;
    Gray1: TMenuItem;
    Green1: TMenuItem;
    Blue1: TMenuItem;
    Rose1: TMenuItem;
    ToolButton11: TToolButton;
    tColor0: TToolButton;
    tcolor1: TToolButton;
    tcolor2: TToolButton;
    tcolor3: TToolButton;
    tcolor4: TToolButton;
    tcolor5: TToolButton;
    tcolor6: TToolButton;
    savePic: TSavePictureDialog;
    aExportPicture: TAction;
    Picture1: TMenuItem;
    ToolButton8: TToolButton;
    aFontUp: TAction;
    aFontDown: TAction;
    tFontDown: TToolButton;
    tFontUp: TToolButton;
    aImportSource: TAction;
    aImportText: TAction;
    aImportRealTime: TAction;
    aUndo: TAction;
    aRedo: TAction;
    tUndo: TToolButton;
    tRedo: TToolButton;
    ToolButton23: TToolButton;
    scrollBox: TScrollBox;
    Image: TImage;
    timerAnalyser: TTimer;
    mAnalyser: TMenuItem;
    tmColorizer: TTimer;
    mainView: TMenuItem;
    mVariableColorizer: TMenuItem;
    mComments: TMenuItem;
    tNotNice: TToolButton;
    aNotNice: TAction;
    aPrint: TAction;
    Print1: TMenuItem;
    N7: TMenuItem;
    tPrint: TToolButton;
    ToolButton26: TToolButton;
    aCopy: TAction;
    aPaste: TAction;
    tPaste: TToolButton;
    tCopy: TToolButton;
    aCut: TAction;
    tCut: TToolButton;
    smCopy: TMenuItem;
    smCut: TMenuItem;
    smPaste: TMenuItem;
    smNoteNice: TMenuItem;
    mGraphType: TMenuItem;
    ToolButton5: TToolButton;
    aToogleColorizer: TAction;
    mLang: TMenuItem;
    mEnglish: TMenuItem;
    mGerman: TMenuItem;
    mFrench: TMenuItem;
    langPanel: TPanel;
    strAlternativeTrue: TLabel;
    strAlternativeFalse: TLabel;
    strFor: TLabel;
    strWhile: TLabel;
    strRepeat: TLabel;
    strNew: TLabel;
    strInputBox: TLabel;
    strComment: TLabel;
    tmStarter: TTimer;
    mOptions: TMenuItem;
    tCaseBefore: TToolButton;
    tCaseAfter: TToolButton;
    aCaseBefore: TAction;
    aCaseAfter: TAction;
    tCallBefore: TToolButton;
    tCallAfter: TToolButton;
    aCallBefore: TAction;
    aCallAfter: TAction;
    Call1: TMenuItem;
    CASEstatement1: TMenuItem;
    Call2: TMenuItem;
    CASEstatement2: TMenuItem;
    Call3: TMenuItem;
    CASEstatement3: TMenuItem;
    Call4: TMenuItem;
    CASEstatement4: TMenuItem;
    mDutch: TMenuItem;
    strSave: TLabel;
    strCase: TLabel;
    strCaseNew: TLabel;
    strCaseError: TLabel;
    strIf: TLabel;
    mUpdater: TMenuItem;
    ToolButton6: TToolButton;
    aPasteClipbrd: TAction;
    smPasteFromClipbrd: TMenuItem;
    Cut1: TMenuItem;
    Copy1: TMenuItem;
    Paste1: TMenuItem;
    Pastefromclipboard2: TMenuItem;
    N9: TMenuItem;
    ToolButton7: TToolButton;
    tToggleAnalyser: TToolButton;
    aToggleAnalyser: TAction;
    aJumpAfter: TAction;
    aJumpBefore: TAction;
    tJumpBefore: TToolButton;
    tJumpAfter: TToolButton;
    Jump1: TMenuItem;
    Jump2: TMenuItem;
    Jump3: TMenuItem;
    Jump4: TMenuItem;
    tmOneAnalysis: TTimer;
    tAnalyserSeperator: TToolButton;
    ToolButton12: TToolButton;
    smConvert: TMenuItem;
    aConvertInstruction: TAction;
    aConvertCall: TAction;
    aConvertJump: TAction;
    Instruction1: TMenuItem;
    Call5: TMenuItem;
    Jump5: TMenuItem;
    mConvert: TMenuItem;
    Instruction2: TMenuItem;
    Call6: TMenuItem;
    Jump6: TMenuItem;
    aConvertIf: TAction;
    aConvertFor: TAction;
    aConvertWhile: TAction;
    aConvertRepeat: TAction;
    aConvertCase: TAction;
    If1: TMenuItem;
    For1: TMenuItem;
    While1: TMenuItem;
    Repeat1: TMenuItem;
    Case1: TMenuItem;
    If2: TMenuItem;
    For2: TMenuItem;
    While2: TMenuItem;
    Repeat2: TMenuItem;
    Case2: TMenuItem;
    aColor0: TAction;
    aColor1: TAction;
    aColor2: TAction;
    aColor3: TAction;
    aColor4: TAction;
    aColor5: TAction;
    aColor6: TAction;
    aColor7: TAction;
    aColor8: TAction;
    aColor9: TAction;
    tcolor7: TToolButton;
    tcolor8: TToolButton;
    tcolor9: TToolButton;
    mColors: TMenuItem;
    Color31: TMenuItem;
    Color81: TMenuItem;
    Color91: TMenuItem;
    procedure Button3Click(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDropFiles(Sender: TObject; const FileNames: array of String);
    procedure image2MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure mLuxemburgishClick(Sender: TObject);
    procedure sc(Sender, source: TObject; X, Y: Integer; State: TDragState;
      var Accept: Boolean);
    procedure scrollBoxDragDrop(Sender, source: TObject; X, Y: Integer);
    procedure smAfterForClick(Sender: TObject);
    procedure smBeforeForClick(Sender: TObject);
    procedure smBeforeAlternativeClick(Sender: TObject);
    procedure smAfterAlternativeClick(Sender: TObject);
    procedure smBeforeInstructionClick(Sender: TObject);
    procedure smAfterInstructionClick(Sender: TObject);
    procedure smRemoveClick(Sender: TObject);
    procedure smEditClick(Sender: TObject);
    procedure smBeforeWHileClick(Sender: TObject);
    procedure smAfterWhileClick(Sender: TObject);
    procedure smAfterRepeatClick(Sender: TObject);
    procedure smBeforeRepeatClick(Sender: TObject);
    procedure mAboutClick(Sender: TObject);
    procedure smCopyGraphicsClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure mOpenClick(Sender: TObject);
    procedure mSaveClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure mNewClick(Sender: TObject);
    procedure image2MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure image2MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure mQuitClick(Sender: TObject);
    procedure aMoveUpExecute(Sender: TObject);
    procedure aMoveDownExecute(Sender: TObject);
    procedure aSaveAsExecute(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure aFontExecute(Sender: TObject);
    procedure aProgramExecute(Sender: TObject);
    procedure aFunctionExecute(Sender: TObject);
    procedure codesourceChange(Sender: TObject);
    procedure realTimerTimer(Sender: TObject);
    procedure aExportSourceCodeExecute(Sender: TObject);
    procedure aWhiteExecute(Sender: TObject);
    procedure aRedExecute(Sender: TObject);
    procedure aOrangeExecute(Sender: TObject);
    procedure aGreenExecute(Sender: TObject);
    procedure aGrayExecute(Sender: TObject);
    procedure aBlueExecute(Sender: TObject);
    procedure aRoseExecute(Sender: TObject);
    procedure aExportPictureExecute(Sender: TObject);
    procedure aFontUpExecute(Sender: TObject);
    procedure aFontDownExecute(Sender: TObject);
    procedure aImportRealTimeExecute(Sender: TObject);
    procedure aImportSourceExecute(Sender: TObject);
    procedure aImportTextExecute(Sender: TObject);
    procedure aUndoExecute(Sender: TObject);
    procedure aRedoExecute(Sender: TObject);
    procedure scrollBoxMouseWheel(Sender: TObject; Shift: TShiftState;
      WheelDelta: Integer; MousePos: TPoint; var Handled: Boolean);
    procedure timerAnalyserTimer(Sender: TObject);
    procedure analysePointsClick(Sender: TObject);
    procedure mAnalyserClick(Sender: TObject);
    procedure tmColorizerTimer(Sender: TObject);
    procedure mVariableColorizerClick(Sender: TObject);
    procedure ReBuild;
    procedure scrollBoxClick(Sender: TObject);
    // declare our DROPFILES message handler
    procedure AcceptFiles( var msg : TMessage ); message WM_DROPFILES;
    procedure scrollBoxMouseWheelDown(Sender: TObject; Shift: TShiftState;
      MousePos: TPoint; var Handled: Boolean);
    procedure mCommentsClick(Sender: TObject);
    procedure aNotNiceExecute(Sender: TObject);
    procedure aPrintExecute(Sender: TObject);
    procedure aCopyExecute(Sender: TObject);
    procedure aPasteExecute(Sender: TObject);
    procedure aCutExecute(Sender: TObject);
    procedure aToogleColorizerExecute(Sender: TObject);
    procedure mEnglishClick(Sender: TObject);
    procedure mGermanClick(Sender: TObject);
    procedure mFrenchClick(Sender: TObject);
    procedure tmStarterTimer(Sender: TObject);
    procedure scrollBoxDblClick(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure mOptionsClick(Sender: TObject);
    procedure aCaseAfterExecute(Sender: TObject);
    procedure aCaseBeforeExecute(Sender: TObject);
    procedure aCallBeforeExecute(Sender: TObject);
    procedure aCallAfterExecute(Sender: TObject);
    procedure mDutchClick(Sender: TObject);
    procedure mUpdaterClick(Sender: TObject);
    procedure aPasteClipbrdExecute(Sender: TObject);
    procedure aToggleAnalyserExecute(Sender: TObject);
    procedure aJumpAfterExecute(Sender: TObject);
    procedure aJumpBeforeExecute(Sender: TObject);
    procedure tmOneAnalysisTimer(Sender: TObject);
    procedure aConvertInstructionExecute(Sender: TObject);
    procedure aConvertCallExecute(Sender: TObject);
    procedure aConvertJumpExecute(Sender: TObject);
    procedure aConvertForExecute(Sender: TObject);
    procedure aConvertWhileExecute(Sender: TObject);
    procedure aConvertIfExecute(Sender: TObject);
    procedure aConvertRepeatExecute(Sender: TObject);
    procedure aConvertCaseExecute(Sender: TObject);
    procedure aColor0Execute(Sender: TObject);
    procedure mColorsClick(Sender: TObject);
    procedure XMLSAXParserEnd(Sender: TObject; Symbol: UTF8String);
    procedure XMLSAXParserEndElement(Sender: TObject; Symbol: AnsiString);
    procedure XMLSAXParserHeader(Sender: TObject; Symbol: UTF8String; Params: TXMLParamList);
    procedure XMLSAXParserStartElement(Sender: TObject; Symbol: AnsiString; Params: TXMLParamList);
   private
    { Private declarations }
    alertMessage:boolean;
    tickies:dword;
    undoList,redoList:TObjectList;
    colorList:TObjectList;
    comment:BLabel;
    insertClick:boolean;
    bSelected,bMoved:BElement;
    mX,mY:integer;
    mDown,mMove,mUpdate:boolean;
    mTypes:UTF8String;
    eCopy:BElement;

    qStack,ifStack,stack,cStack:TObjectStack;
    lastQ:BSubqueue;
    lastE:BElement;
    
    control:string;
    
    errorList:BErrorList;

    procedure AddToReport(Msg1, Msg2, Msg3, Msg4: UTF8String; LN: integer);
    procedure ParseInputText(_text:ansistring);
    function ParseOutVariableNames(_expression,_grammar:UTF8String):TStringlist;
    procedure addUndo;
     procedure enableBouttons;
    procedure disableBouttons;
    procedure setLang(_lang:ansistring);
    procedure parseNSD(_fn:UTF8String);
  public
    { Public declarations }
    root,root2:BRoot;
    procedure generateIcon(_color:TColor; _index:byte);
    procedure clearUndo;
    procedure clearRedo;
    procedure doBouttons;
  end;

function InputBox(_form:TMainform; _title,_text,_content,_comment:UTF8String): UTF8String;

{$IFDEF WIN32}
function ansitoutf8(_s:ansistring): utf8string;
function utf8to(_s:ansistring): utf8string;
{$ENDIF}


{$IFDEF LINUX}
function ansitoutf8(_s:ansistring): utf8string;
function utf8to(_s:ansistring): utf8string;
{$ENDIF}

{$IfDef NOMDI}
var
  mainform: Tmainform;
{$EndIf}

implementation

{$IfDef MDI}
Uses pro_mainform;
{$EndIf}

{$IFDEF WIN32}
function ansitoutf8(_s:ansistring): utf8string;
begin
 result:=_S;
end;

function utf8to(_s:ansistring): utf8string;
begin
 result:=_S;
end;
{$ENDIF}

{$IFDEF LINUX}
function ansitoutf8(_s:ansistring): utf8string;
begin
 result:=_S;
end;

function utf8to(_s:ansistring): utf8string;
begin
 result:=_S;
end;
{$ENDIF}


{$IFDEF LINUX}
function calmdown(_s:string): string;
var i:integer;
begin
  for i:=1 to length(_s) do
  begin
   if((224<=ord(_s[i]))and(ord(_s[i])<=229)) then _s[i]:='a';
   if((242<=ord(_s[i]))and(ord(_s[i])<=246)) then _s[i]:='o';
   if((249<=ord(_s[i]))and(ord(_s[i])<=251)) then _s[i]:='u';
   if((232<=ord(_s[i]))and(ord(_s[i])<=235)) then _s[i]:='e';
   if((231<=ord(_s[i]))and(ord(_s[i])<=231)) then _s[i]:='c';
  end;
  result:=_s;
end;
{$ENDIF}


Procedure setComponentLabel(_label:UTF8String; _start:TComponent);
var com:TComponent;
    key,comp,prop,val,all:UTF8String;
    dot,eq,gt:integer;
    done:boolean;
begin
 // 1.25 :: adapt String if it's the form itself
 //      :: all other forms are children
 // if(copy(_label,1,length('mainform'))='mainform') then delete(_label,1,length('mainform')+1);     // 1.25

 all:=_label;
 eq:=pos('=',all);
 key:=copy(all,1,eq-1);
 val:=ansitoutf8(copy(all,eq+1,length(all)));
 
{$IFDEF LINUX}
 val:=calmdown(val);
{$ENDIF}

 gt:=pos('>>',key);
 if(gt>0) then
 begin
  prop:=copy(key,gt+2,length(key));
  key:=copy(key,1,gt-1);
 end;

 if(key='.') then key:='';

 com:=_start;
 while((key<>'')and(com<>nil)) do
 begin
  dot:=pos('.',key);
  if(dot=0) then
  begin
   comp:=key;
   key:='';
  end
  else
  begin
   comp:=copy(key,1,dot-1);
   delete(key,1,length(comp)+1);
  end;
  com:=com.FindComponent(comp);
 end;
 
 if(com<>nil) then
 begin
  done:=false;
  if(com is TButton)       then begin if(prop='hint') then (com as TButton).hint:=val       else (com as TButton).caption:=val; done:=true; end;
  if(com is TToolButton)   then begin if(prop='hint') then (com as TToolButton).hint:=val   else (com as TToolButton).caption:=val; done:=true; end;
//  if(com is TSpeedButton)  then begin if(prop='hint') then (com as TSpeedButton).hint:=val  else (com as TSpeedButton).caption:=val; done:=true; end;
  if(com is TForm)         then begin (com as TForm).Caption:=val; done:=true;     end;
  if(com is TComboBox)     then begin (com as TComboBox).items.commatext:=val; done:=true;     end;     // 1.22
  if(com is TMemo)         then begin (com as TMemo).lines.commatext:=val; done:=true;     end;     // 1.22
  if(com is TOpenDialog)   then begin (com as TOpenDialog).Title:=val; done:=true;     end;             // 1.22
  if(com is TLabel)        then begin (com as TLabel).Caption:=val; done:=true;    end;
  if(com is TEdit)         then begin (com as TEdit).Text:=val; done:=true;        end;
  if(com is TMenuItem)     then begin (com as TMenuItem).Caption:=val; done:=true; end;
  if(com is TAction)       then begin if(prop='hint') then (com as TAction).hint:=val       else (com as TAction).caption:=val; done:=true; end;
  if(com is TTabSheet)     then begin (com as TTabSheet).Caption:=val; done:=true; end;
  if(com is TCheckBox)     then begin (com as TCheckBox).Caption:=val; done:=true; end;
  if(com is TGroupBox)     then begin (com as TGroupBox).Caption:=val; done:=true; end;
  if(com is TListView)     then begin (com as TListView).Columns.Items[strtoint(prop)].Caption:=val; end;
  if(com is TSaveDialog)   then begin (com as TSaveDialog).title:=val; done:=true; end;
 end else
 begin
   {$IFDEF DEBUG}
    showmessage(ansitoutf8('Component not found: '+comp+''));
   {$ENDIF}
 end;
end;

procedure TmainForm.setLang(_lang:ansistring);
var keys:Tstringlist;
    i:integer;
    value:UTF8String;
    inif:TInifile;

 procedure nextSection(_name:UTF8String);
 var i:integer;
 begin
  inif.ReadSection(_name,keys);
  for i:=0 to keys.Count-1 do
  begin
   value:=inif.ReadString(_name,keys[i],'');
   if(value<>'') then
   begin
    if(value[1]='"') then delete(value,1,1);
    if(value[length(value)]='"') then delete(value,length(value),1);
    setComponentLabel(keys[i]+'='+value,application);
   end
   else setComponentLabel(keys[i]+'='+value,application);
  end;
 end;

begin
 try
  keys:=Tstringlist.create;

  inif:=TInifile.Create(extractfilepath(application.ExeName)+_lang+'.lng');
  {$IfDef NOMDI}
  nextSection('mainform');
  nextSection('inputform');
  nextSection('frmPreferences');        // 1.22
  nextSection('frmMyColors');           // 1.25
//  nextSection('frmPrint');              // 1.22
  {$ENDIF}
  keys.free;
 finally
  inif.Free;
 end;
 root.Draw(image);
end;

function testIdentifier(_str:UTF8String):boolean;
var i:integer;
begin
 result:=true;
 _str:=trim(_str);
 if(length(_str)=0) then result:=false
 else
 begin
   if( (('a'<=_str[1])and(_str[1]<='z')) or
       (('A'<=_str[1])and(_str[1]<='Z')) or
       (_str[1]='_') ) then
   begin
     if(length(_str)>1) then
     begin
       for i:=2 to length(_str) do
       begin
        if not( (('a'<=_str[i])and(_str[i]<='z')) or
                (('A'<=_str[i])and(_str[i]<='Z')) or
                (('0'<=_str[i])and(_str[i]<='9')) or
                (_str[i]='_') ) then result:=false;

       end;
     end;
   end
   else result:=false;
 end;
end;

function countSym(_s:string;_c:char):byte;
begin
  result:=0;
  while (_s<>'') do
  begin
    if(_s[1]=_c)then inc(result);
    delete(_s,1,1);
  end;
end;



function InputBox(_form:TMainform; _title,_text,_content,_comment:UTF8String): UTF8String;
begin
 with _form do
 begin
   inputform.Label1.caption:=(_text);
  // inputform.clientwidth:=inputform.Label1.Width+8;
   inputform.memo.text:=(_content);
   inputform.memo.SelectAll;
   inputform.comment.text:=(_comment);
   inputform.Caption:=(_title);
   if(inputform.showmodal=mrOK) then result:=(inputform.memo.text)
   else result:=(_content);
   if(result=ansitoutf8('')) then result:='???';
  end;
end;    { }

procedure Tmainform.AcceptFiles( var msg : TMessage );
const
  cnMaxFileNameLen = 255;
//LAZ
{
var
  i,
  nCount     : integer;
  acFileName : array [0..cnMaxFileNameLen] of char;
  sl:tstringlist;
  parser:Bparser;
}
begin
//LAZ
{
  // find out how many files we're accepting
  nCount := DragQueryFile( msg.WParam,
                           $FFFFFFFF,
                           acFileName,
                           cnMaxFileNameLen );

  // query Windows one at a time for the file name
  for i := 0 to nCount-1 do
  begin
    DragQueryFile( msg.WParam, i,
                   acFileName, cnMaxFileNameLen );

    // do your thing with the acFileName
    //MessageBox( Handle, acFileName, '', MB_OK );
    if(ExtractFileExt(acFileName)='.nsd') then
    begin
   open.filename:=acFileName;
   if(root.changed=true)then
   case messageDlg(strSave.caption,                             // 1.22
             mtConfirmation, mbYesNoCancel,0) of
   mrYes: begin
           if (save.FileName='') then
           begin
            if(save.Execute)then
            begin
             sl:=TStringList.Create;
             sl.text:=root.getXml;
             sl.SaveToFile(save.FileName);
             sl.Free;
             save.FileName:=open.FileName;
             root.clear;
             parser:=BParser.create;
             parser.parse(open.FileName,root);
             parser.free;
             mComments.Checked:=NSDUtils.flagDrawComments;
             root.SelectByCoord(0,0);
             root.Draw(image);
             root.changed:=false;
            end;
           end
           else
           begin
            sl:=TStringList.Create;
            sl.text:=root.getXml;
            sl.SaveToFile(save.FileName);
            sl.Free;
            save.FileName:=open.FileName;
            root.clear;
            parser:=BParser.create;
            parser.parse(open.FileName,root);
            parser.free;
            mComments.Checked:=NSDUtils.flagDrawComments;
            root.SelectByCoord(0,0);
            root.Draw(image);
            root.changed:=false;
           end;
          end;
   mrNo:  begin
            save.FileName:=open.FileName;
            root.clear;
            parser:=BParser.create;
            parser.parse(open.FileName,root);
            parser.free;
            mComments.Checked:=NSDUtils.flagDrawComments;
            root.SelectByCoord(0,0);
            root.Draw(image);
            root.changed:=false;
          end;
  end
  else
  begin
            save.FileName:=open.FileName;
            clearUndo;
            root.clear;
            parser:=BParser.create;
            parser.parse(open.FileName,root);
            parser.free;
            mComments.Checked:=NSDUtils.flagDrawComments;
            root.SelectByCoord(0,0);
            root.Draw(image);
            root.changed:=false;
  end;
    end;
  end;

  doBouttons;
  // let Windows know that you're done
  DragFinish( msg.WParam );
}
end;

procedure Tmainform.enableBouttons;
var state:boolean;
begin
 state:=true;
 aRemove.Enabled:=state;
 aEdit.Enabled:=state;
 aInstructionBefore.Enabled:=state;
 aInstructionAfter.Enabled:=state;
 aAlternativeBefore.Enabled:=state;
 aAlternativeAfter.Enabled:=state;
 aForBefore.Enabled:=state;
 aForAfter.Enabled:=state;
 aWhileBefore.Enabled:=state;
 aWhileAfter.Enabled:=state;
 aRepeatBefore.Enabled:=state;
 aRepeatAfter.Enabled:=state;
 aCaseBefore.Enabled:=state;
 aCaseAfter.Enabled:=state;
 aCallBefore.Enabled:=state;
 aCallAfter.Enabled:=state;
 aJumpBefore.Enabled:=state;           // 1.24
 aJumpAfter.Enabled:=state;            // 1.24
 aMoveUp.Enabled:=state;
 aMoveDown.Enabled:=state;

{                                        // 1.25
 aWhite.Enabled:=state;
 aRed.Enabled:=state;
 aOrange.Enabled:=state;
 aGray.Enabled:=state;
 aGreen.Enabled:=state;
 aRose.Enabled:=state;
 aBlue.Enabled:=state;
}
 aColor0.Enabled:=state;                 // 1.25
 aColor1.Enabled:=state;                 // 1.25
 aColor2.Enabled:=state;                 // 1.25
 aColor3.Enabled:=state;                 // 1.25
 aColor4.Enabled:=state;                 // 1.25
 aColor5.Enabled:=state;                 // 1.25
 aColor6.Enabled:=state;                 // 1.25
 aColor7.Enabled:=state;                 // 1.25
 aColor8.Enabled:=state;                 // 1.25
 aColor9.Enabled:=state;                 // 1.25

 if((root.selectedElement is BInstruction) or                                   // 1.25
    (root.selectedElement is BCall) or                                          // 1.25
    (root.selectedElement is BJump)) then                                       // 1.25
 begin                                                                          // 1.25
   aConvertInstruction.Enabled:=true;                                           // 1.25
   aConvertCall.Enabled:=true;                                                  // 1.25
   aConvertJump.Enabled:=true;                                                  // 1.25
   aConvertIf.Enabled:=true;                                                    // 1.25
   aConvertFor.Enabled:=true;                                                   // 1.25
   aConvertWhile.Enabled:=true;                                                 // 1.25
   aConvertRepeat.Enabled:=true;                                                // 1.25
   aConvertCase.Enabled:=true;                                                  // 1.25
 end                                                                            // 1.25
 else                                                                           // 1.25
 begin                                                                          // 1.25
   aConvertInstruction.Enabled:=false;                                          // 1.25
   aConvertCall.Enabled:=false;                                                 // 1.25
   aConvertJump.Enabled:=false;                                                 // 1.25
   aConvertIf.Enabled:=false;                                                   // 1.25
   aConvertFor.Enabled:=false;                                                  // 1.25
   aConvertWhile.Enabled:=false;                                                // 1.25
   aConvertRepeat.Enabled:=false;                                               // 1.25
   aConvertCase.Enabled:=false;                                                 // 1.25
 end;                                                                           // 1.25

   if( not(root.selectedElement is BSubqueue)
       and
       not(root.selectedElement is BRoot)) then
   begin
    aCopy.Enabled:=true;
    aCut.Enabled:=true;
   end
   else
   begin
    aCopy.Enabled:=false;
    aCut.Enabled:=false;
   end;
 if(eCopy<>nil)and(not(root.selectedElement is BRoot)) then aPaste.Enabled:=true else aPaste.Enabled:=false;
end;

procedure Tmainform.disableBouttons;
var state:boolean;
begin
 state:=false;
 aRemove.Enabled:=state;
 aEdit.Enabled:=state;
 aInstructionBefore.Enabled:=state;
 aInstructionAfter.Enabled:=state;
 aAlternativeBefore.Enabled:=state;
 aAlternativeAfter.Enabled:=state;
 aForBefore.Enabled:=state;
 aForAfter.Enabled:=state;
 aWhileBefore.Enabled:=state;
 aWhileAfter.Enabled:=state;
 aRepeatBefore.Enabled:=state;
 aRepeatAfter.Enabled:=state;
 aCaseBefore.Enabled:=state;
 aCaseAfter.Enabled:=state;
 aCallBefore.Enabled:=state;
 aCallAfter.Enabled:=state;
 aJumpBefore.Enabled:=state;             // 1.24
 aJumpAfter.Enabled:=state;              // 1.24
 aMoveUp.Enabled:=state;
 aMoveDown.Enabled:=state;
{                                        // 1.25
 aWhite.Enabled:=state;
 aRed.Enabled:=state;
 aOrange.Enabled:=state;
 aGray.Enabled:=state;
 aGreen.Enabled:=state;
 aRose.Enabled:=state;
 aBlue.Enabled:=state;
}
 aColor0.Enabled:=state;                 // 1.25
 aColor1.Enabled:=state;                 // 1.25
 aColor2.Enabled:=state;                 // 1.25
 aColor3.Enabled:=state;                 // 1.25
 aColor4.Enabled:=state;                 // 1.25
 aColor5.Enabled:=state;                 // 1.25
 aColor6.Enabled:=state;                 // 1.25
 aColor7.Enabled:=state;                 // 1.25
 aColor8.Enabled:=state;                 // 1.25
 aColor9.Enabled:=state;                 // 1.25

 acopy.Enabled:=state;
 aPaste.Enabled:=state;
 //aCut.Enabled:=state;

 if((root.selectedElement is BInstruction) or                                   // 1.25
    (root.selectedElement is BCall) or                                          // 1.25
    (root.selectedElement is BJump)) then                                       // 1.25
 begin                                                                          // 1.25
   aConvertInstruction.Enabled:=true;                                           // 1.25
   aConvertCall.Enabled:=true;                                                  // 1.25
   aConvertJump.Enabled:=true;                                                  // 1.25
 end                                                                            // 1.25
 else                                                                           // 1.25
 begin                                                                          // 1.25
   aConvertInstruction.Enabled:=false;                                          // 1.25
   aConvertCall.Enabled:=false;                                                 // 1.25
   aConvertJump.Enabled:=false;                                                 // 1.25
 end;                                                                           // 1.25

end;

procedure Tmainform.ReBuild;
begin
 root.Draw(Image);
end;

procedure Tmainform.doBouttons;
begin
 if(root.selectedElement=nil) then disableBouttons
 else enableBouttons;
 {$IfDef NOMDI}                                                     //1.26
 self.Caption:=TITLE+' - '+root.text[0];                            //1.22
 {$else}                                                             //1.26
 self.Caption:=root.text[0];                                        //1.26
 {$EndIf}                                                            //1.26
 application.Title:=root.text[0];                                       //1.22
 tNotNice.Down:=not(root.isNice);
 tProgram.Down:=root.isProgram;
 tFunction.Down:=not(root.isProgram);
 if(frmAnalyser.chkEnabled.Enabled=true) then tmOneAnalysis.enabled:=true;  // 1.24
 if(frmColors.chkColorizer.checked=true) then                               // 1.26
 begin                                                                      // 1.26
   tmColorizer.OnTimer(nil);                                                // 1.26
   root.Draw(image);                                                        // 1.26
 end;                                                                       // 1.26
 //if(frmAnalyser.chkEnabled.Enabled=true) then timerAnalyserTimer(nil);
end;

procedure Tmainform.tmOneAnalysisTimer(Sender: TObject);                // 1.24
begin
 tmOneAnalysis.enabled:=false;                                          // 1.24
 if(frmAnalyser.chkEnabled.Enabled=true) then timerAnalyserTimer(nil);  // 1.24
end;

procedure Tmainform.addUndo;
begin
 aUndo.Enabled:=true;
 undoList.Add(root.getACopyOf);
 clearRedo;
end;

procedure Tmainform.clearUndo;
var r:BRoot;
begin
 aUndo.Enabled:=false;
 while(undoList.count>0) do
 begin
  r:=(undoList.Items[0] as BRoot);
  undoList.Delete(0);
  r.Free;
 end;
end;

procedure Tmainform.clearRedo;
var r:BRoot;
begin
 aRedo.Enabled:=false;
 while(redoList.count>0) do
 begin
  r:=(redoList.Items[0] as BRoot);
  redoList.Delete(0);
  r.Free;
 end;
end;

procedure Tmainform.FormCreate(Sender: TObject);
var Reg: TRegistry;
    i:word;
    fn,KeyName,serial,correction:UTF8String;
//LAZ     parser:BParser;
    inif:TIniFile;
begin
  errorList:=BErrorList.create;

 {$IfDef MDI}
  self.WindowState:=wsMaximized;
  self.mQuit.free;
  self.mainFile.Caption:='Diagram';
 {$EndIF}


 aConvertInstruction.caption:=aInstructionBefore.caption;                       // 1.25
 aConvertCall.caption:=aCallBefore.caption;                                     // 1.25
 aConvertJump.caption:=aJumpBefore.Caption;                                     // 1.25
 aConvertIf.caption:=aAlternativeBefore.caption;                                // 1.25
 aConvertFor.caption:=aForBefore.caption;                                       // 1.25
 aConvertWhile.caption:=aWhileBefore.Caption;                                   // 1.25
 aConvertRepeat.caption:=aRepeatBefore.Caption;                                 // 1.25
 aConvertCase.caption:=aCaseBefore.caption;                                     // 1.25

 tNew.Action:=aNew;
 tOpen.Action:=aOpen;
 tSave.Action:=aSave;
 tPrint.Action:=aPrint;
 tCopy.Action:=aCopy;
 tCut.Action:=aCut;
 tPaste.Action:=aPaste;
 tUndo.Action:=aUndo;
 tRedo.Action:=aRedo;
 tProgram.Action:=aProgram;
 tFunction.Action:=aFunction;
 tNotNice.Action:=aNotNice;
 tRemove.Action:=aRemove;
 tEdit.Action:=aEdit;
 tMoveUp.Action:=aMoveUp;
 tMoveDown.Action:=aMoveDown;
 tInstructionBefore.Action:=aInstructionBefore;
 tInstructionAfter.Action:=aInstructionAfter;
 tAlternativeBefore.Action:=aAlternativeBefore;
 tAlternativeAfter.Action:=aAlternativeAfter;
 tForBefore.Action:=aForBefore;
 tForAfter.Action:=aForAfter;
 tWhileBefore.Action:=aWhileBefore;
 tWhileAfter.Action:=aWhileAfter;
 tRepeatBefore.Action:=aRepeatBefore;
 tRepeatAfter.Action:=aRepeatAfter;
 tCaseBefore.Action:=aCaseBefore;
 tCaseAfter.Action:=aCaseAfter;
 tCallBefore.Action:=aCallBefore;
 tCallAfter.Action:=aCallAfter;
 tJumpBefore.Action:=aJumpBefore;
 tJumpAfter.Action:=aJumpAfter;
 {                                                                              // 1.25
 tWhite.Action:=aWhite;
 tRed.Action:=aRed;
 tRose.Action:=aRose;
 tBlue.Action:=aBlue;
 tGray.Action:=aGray;
 tGreen.Action:=aGreen;
 tOrange.Action:=aOrange;
 }
 tcolor0.action:=aColor0;                                                       // 1.25
 tcolor1.action:=aColor1;                                                       // 1.25
 tcolor2.action:=aColor2;                                                       // 1.25
 tcolor3.action:=aColor3;                                                       // 1.25
 tcolor4.action:=aColor4;                                                       // 1.25
 tcolor5.action:=aColor5;                                                       // 1.25
 tcolor6.action:=aColor6;                                                       // 1.25
 tcolor7.action:=aColor7;                                                       // 1.25
 tcolor8.action:=aColor8;                                                       // 1.25
 tcolor9.action:=aColor9;                                                      // 1.25

 tAbout.Action:=aAbout;
 tFontUp.Action:=aFontUp;
 tFontDown.Action:=aFontDown;
 tToggleAnalyser.action:=aToggleAnalyser;

 {$IfDef ANALYSER}
   tToggleAnalyser.Visible:=true;
   tAnalyserSeperator.visible:=true;
   aToggleAnalyser.enabled:=True;
 {$Else}
   tToggleAnalyser.Visible:=false;
   tAnalyserSeperator.visible:=false;
   aToggleAnalyser.enabled:=false;
 {$EndIf}


 mDown:=false;
 insertClick:=false;
 tProgram.Down:=true;           // 1.19

//WIN DragAcceptFiles( Handle, True );

 eCopy:=nil;

 mAnalyser.Visible:=ANALYSER;
 colorList:=TObjectList.Create(false);
 vars:=TStringlist.create;
 colors:=TStringlist.create;

 undolist:=TObjectList.create(false);
 Redolist:=TObjectList.create(false);
 mImport.Visible:=false;

 root:=BRoot.create;
 root.text.text:='???';
 root.changed:=false;
 save.FileName:='';
 open.filename:='';
 mDown:=false;
 mMove:=false;
 mUpdate:=false;
 bMoved:=nil;
 alertMessage:=false;

 {$IFDEF WIN32}
 try
 {Registry entry}
  Reg := TRegistry.Create;
  Reg.RootKey := HKEY_LOCAL_MACHINE;
 try
  KeyName := '\Software\CLASSES\Structorizer';
  Reg.OpenKey(KeyName,true);
  Reg.WriteString('','Structorizer Diagram ');
  Reg.CloseKey;
  KeyName := '\Software\CLASSES\Structorizer\DefaultIcon';
  Reg.OpenKey(KeyName,true);
  Reg.WriteString('','"'+ExtractFilePath(application.exename)+'structorizer.ico"');
  Reg.CloseKey;
  KeyName := '\Software\CLASSES\Structorizer\shell\open';
  Reg.OpenKey(KeyName,true);
  Reg.WriteString('','');
  Reg.CloseKey;
  KeyName := '\Software\CLASSES\Structorizer\shell\open\command';
  Reg.OpenKey(KeyName,true);
  Reg.WriteString('','"'+application.exename+'" %1');
  Reg.CloseKey;
  KeyName := '\Software\CLASSES\.nsd';
  Reg.OpenKey(KeyName,true);
  Reg.WriteString('','Structorizer');
  Reg.CloseKey;
 finally
  Reg.Free;
 end;
 except
 end;
 {$ENDIF}

 image.Canvas.Font.Name:='default';
 image.Canvas.Font.Size:=10;
 mTypes:='Byte,Integer,Real,Char,String,Boolean';

 mImport.Visible:=false;
 smPascalSource.Visible:=mImport.Visible;
 mVariableColorizer.Visible:=mImport.Visible;
 aExportSourceCode.Enabled:=mImport.Visible;

 {INI-File}
 // load INI File
  try
   inif:=TInifile.Create(extractFilePath(application.exename)+'structorizer.ini');
   // read
   // preferecnes
   image.Canvas.Font.Name:=inif.ReadString('Font','Name','default');
   image.Canvas.Font.Size:=inif.ReadInteger('Font','Size',10);
   // pfeil
   utils.PFEIL_CODE:=inif.ReadInteger('Font','PfeilCode',0);;
   utils.PFEIL_FONT:=inif.ReadString('Font','PfeilFont','');;
   utils.PFEIL_ROTATE:=inif.ReadBool('Font','PfeilRotate',true);;
   // coding
   mTypes:=inif.ReadString('Coding','Types','');
   // security
   control:=inif.ReadString('Eruces','Lortonc','')+inif.ReadString('Eruces','Lortnoc','');
   // position
   self.left:=max(inif.ReadInteger('Position','Left',self.left),0);
   self.top:=max(inif.ReadInteger('Position','Top',self.top),0);
   self.width:=inif.ReadInteger('Position','Width',self.width);
   self.height:=inif.ReadInteger('Position','Height',self.height);
   // visibility
   //drawComments:=inif.ReadBool('Show','Comments',true);                       // 1.25
   //mComments.Checked:=drawComments;                                           // 1.25
   //lang
   //setLang(inif.ReadString('Layout','Lang','uk'));
   //forms                                                                      // 1.19
   self.strAlternativeTrue.caption:=AnsiToUtf8(inif.ReadString('Forms','IfTrue','V'));  // 1.19
   self.strAlternativeFalse.caption:=AnsiToUtf8(inif.ReadString('Forms','IfFalse','F'));// 1.19
   self.strFor.caption:=AnsiToUtf8(inif.ReadString('Forms','For','pour ? <- ?  ?'));   // 1.19
   self.strWhile.caption:=AnsiToUtf8(inif.ReadString('Forms','While','tant que '));     // 1.19
   self.strRepeat.caption:=AnsiToUtf8(inif.ReadString('Forms','Repeat','jusqu'' '));   // 1.19
   self.strCase.caption:=AnsiToUtf8(inif.ReadString('Forms','Case','<?>,<?>,else'));    // 1.22
   self.strIf.caption:=AnsiToUtf8(inif.ReadString('Forms','If',''));                    // 1.22

   NSDUtils.txtTrue:=inif.ReadString('Forms','IfTrue','V');;                    // 1.25
   NSDUtils.txtFalse:=inif.ReadString('Forms','IfFalse','F');                   // 1.25
   // visibility
   NSDUtils.flagDrawComments:=inif.ReadBool('Show','Comments',true);            // 1.25
   mComments.Checked:=NSDUtils.flagDrawComments;                                // 1.25


   try
     serial:=Get_Bios_Serial;
     correction:='';
     for i:=1 to length(serial) do correction:=serial[i]+correction;
     serial:=correction;
     mImport.Visible:=(pos(lowercase(correction),lowercase(control))>0);
     smPascalSource.Visible:=mImport.Visible;
     mVariableColorizer.Visible:=mImport.Visible;
     aExportSourceCode.Enabled:=mImport.Visible;
   except
   end;

 finally
 // free INI File
   inif.Free;
 end;




 try
  If (Paramcount>0) then
  begin
   fn:='';
   for i:=1 to paramcount do fn:=fn+paramstr(i)+' ';
   //showmessage(fn);
   (*
             delete(fn,length(fn),1);
             open.filename:=fn;
             save.FileName:=open.FileName;
             root.clear;
             parseNSD(open.FileName);
             root.SelectByCoord(0,0);
             root.Draw(image);
             root.changed:=false;
   *)
  end;
 finally
 end;


 comment:=BLabel.Create(self);
 comment.Color:=$00AAFFFF;
 comment.Alignment:=taCenter;
 comment.ShowAccelChar:=true;
 scrollbox.InsertControl(comment);
 comment.Visible:=false;
 
 tmStarter.Enabled:=true;
end;

procedure Tmainform.Button3Click(Sender: TObject);
begin
  showmessage(Get_Bios_Serial);
end;

procedure Tmainform.ComboBox1Change(Sender: TObject);
begin
end;

procedure Tmainform.FormDropFiles(Sender: TObject;
  const FileNames: array of String);
var acFilename:string;
    sl:tstringlist;
begin
 showmessage(inttostr(low(filenames))+' -> '+inttostr(high(filenames)));
 acFilename:=FileNames[1];
 if(FileExists(acFilename)) then
 if(ExtractFileExt(acFileName)='.nsd') then
 begin
   open.filename:=acFileName;
   if(root.changed=true)then
   case messageDlg(strSave.caption,                             // 1.22
             mtConfirmation, mbYesNoCancel,0) of
   mrYes: begin
           if (save.FileName='') then
           begin
            if(save.Execute)then
            begin
             sl:=TStringList.Create;
             sl.text:=root.getXml;
             sl.SaveToFile(save.FileName);
             sl.Free;
             save.FileName:=open.FileName;
             root.clear;
             parseNSD(open.FileName);
             mComments.Checked:=NSDUtils.flagDrawComments;
             root.SelectByCoord(0,0);
             root.Draw(image);
             root.changed:=false;
            end;
           end
           else
           begin
            sl:=TStringList.Create;
            sl.text:=root.getXml;
            sl.SaveToFile(save.FileName);
            sl.Free;
            save.FileName:=open.FileName;
            root.clear;
            parseNSD(open.FileName);
            mComments.Checked:=NSDUtils.flagDrawComments;
            root.SelectByCoord(0,0);
            root.Draw(image);
            root.changed:=false;
           end;
          end;
   mrNo:  begin
            save.FileName:=open.FileName;
            root.clear;
            parseNSD(open.FileName);
            mComments.Checked:=NSDUtils.flagDrawComments;
            root.SelectByCoord(0,0);
            root.Draw(image);
            root.changed:=false;
          end;
  end
  else
  begin
            save.FileName:=open.FileName;
            clearUndo;
            root.clear;
            parseNSD(open.FileName);
            mComments.Checked:=NSDUtils.flagDrawComments;
            root.SelectByCoord(0,0);
            root.Draw(image);
            root.changed:=false;
  end;
  doBouttons;
 end;
end;

procedure Tmainform.image2MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
 mDown:=true;
 mx:=x;
 my:=y;
 if(mUpdate=false)then
 begin
  root.SelectByCoord(x,y);
  root.Draw(image);
  bSelected:=root.SelectElementByCoord(x,y);
  if(not(bselected is BSubQueue) and not(bSelected is BRoot)) then
  begin
   mDown:=true;
   mMove:=false;
   mX:=x;
   mY:=y;
  end;
  //E_DRAWCOL:=$00F0CAA5;
 end
 else mUpdate:=false;
 doBouttons;
end;

procedure Tmainform.mLuxemburgishClick(Sender: TObject);
begin
 setLang('lu');                                          // 1.28
end;

procedure Tmainform.sc(Sender, source: TObject; X, Y: Integer;
  State: TDragState; var Accept: Boolean);
begin

end;

procedure Tmainform.scrollBoxDragDrop(Sender, source: TObject; X, Y: Integer);
begin

end;


procedure Tmainform.smAfterForClick(Sender: TObject);
var el:BFor;
    s:UTF8String;
begin
 s:=InputBox(self,strInputBox.caption,strNew.caption,strfor.Caption,'');
 if (s<>'') then
 begin
  addUndo;
  el:=BFor.create;
  el.text.text:=s;
  el.comment.text:=(inputform.comment.text);
  root.addAfterSelected(el);
  root.Draw(image);
 end;
 doBouttons;
end;

procedure Tmainform.smBeforeForClick(Sender: TObject);
var el:BFor;
    s:UTF8String;
begin
 s:=InputBox(self,strInputBox.caption,strNew.caption,strfor.Caption,'');
 if ((s<>'')and(s<>'???')) then
 begin
  addUndo;
  el:=BFor.create;
  el.text.text:=s;
  el.comment.text:=(inputform.comment.text);
  root.addBeforeSelected(el);
  root.Draw(image);
 end;
 doBouttons;
end;

procedure Tmainform.smBeforeAlternativeClick(Sender: TObject);
var el:BAlternative;
    s:UTF8String;
begin
 s:=InputBox(self,strInputBox.caption,strNew.caption,strIf.caption,'');               // 1.22
 if ((s<>'')and(s<>'???')) then
 begin
  addUndo;
  el:=BAlternative.create;
  el.text.text:=s;
  el.comment.text:=(inputform.comment.text);
  root.addBeforeSelected(el);
  root.Draw(image);
 end;
 doBouttons;
end;

procedure Tmainform.smAfterAlternativeClick(Sender: TObject);
var el:BAlternative;
    s:UTF8String;
begin
 s:=InputBox(self,strInputBox.caption,strNew.caption,strIf.Caption,'');               // 1.22
 if ((s<>'')and(s<>'???')) then
 begin
  addUndo;
  el:=BAlternative.create;
  el.text.text:=s;
  el.comment.text:=inputform.comment.text;
  root.addAfterSelected(el);
  root.Draw(image);
 end;
 doBouttons;
end;

procedure Tmainform.smBeforeInstructionClick(Sender: TObject);
var el:BInstruction;
    s:UTF8String;
begin
 s:=InputBox(self,strInputBox.caption,strNew.caption,'','');
// s:=AnsiReplaceStr(s,':=',' <- ');                    // V1.23
 if ((s<>'')and(s<>'???')) then
 begin
  addUndo;
  el:=BInstruction.create;
  el.text.text:=s;
  el.comment.text:=inputform.comment.text;
  root.addBeforeSelected(el);
  root.Draw(image);
 end;
 doBouttons;
end;

procedure Tmainform.smAfterInstructionClick(Sender: TObject);
var el:BInstruction;
    s:UTF8String;
begin
 s:=InputBox(self,strInputBox.caption,strNew.caption,'','');
// s:=AnsiReplaceStr(s,':=',' <- ');                        // V1.23
 if ((s<>'')and(s<>'???')) then
 begin
  addUndo;
  el:=BInstruction.create;
  el.text.text:=s;
  el.comment.text:=inputform.comment.text;
  root.addAfterSelected(el);
  root.Draw(image);
 end;
 doBouttons;
end;

procedure Tmainform.smRemoveClick(Sender: TObject);
begin
 addUndo;
 root.removeSelectedElement;
 root.Draw(image);
 doBouttons;
end;

procedure Tmainform.smEditClick(Sender: TObject);
var s:utf8string;
begin
 mDown:=false;
 mMove:=false;
 E_DRAWCOL:=clYellow;
 if(root.selectedElement<>nil) then
 begin
  if(not(root.selectedElement is BSubqueue)) then
  begin
   // 1.21
   if(root.selectedElement is BCase) then s:=InputBox(self,strInputBox.caption,strCaseNew.caption,
                                                                                                  (root.selectedElement.text.text),
                                                                                                  (root.selectedElement.comment.text))
   else s:=InputBox(self,strInputBox.caption,strNew.caption,
                                                                                                  (root.selectedElement.text.text),
                                                                                                  (root.selectedElement.comment.text));
//   if(root.selectedElement is BInstruction) then s:=AnsiReplaceStr(s,':=',' <- ');    // V1.23


   if ((s<>(''))and(s<>'???')and((s<>root.selectedElement.text.Text)or
       ((inputform.comment.text)<>root.selectedElement.comment.text))) then
   begin
     addUndo;
     root.updateSelected(S,(inputform.comment.text));
     root.Draw(image);
   end;
  end
  else
  begin
   smBeforeInstructionClick(Sender);
  end;
 end;
 mUpdate:=true;
 doBouttons;
 insertClick:=true;
 //image2MouseUp(Sender,mbLeft,[],mx,my);
end;

procedure Tmainform.smBeforeWHileClick(Sender: TObject);
var el:BWhile;
    s:UTF8String;
begin
 s:=InputBox(self,strInputBox.caption,strNew.caption,strWhile.caption,'');
 if ((s<>'')and(s<>'???')) then
 begin
  addUndo;
  el:=BWhile.create;
  el.text.text:=s;
  el.comment.text:=inputform.comment.text;
  root.addBeforeSelected(el);
  root.Draw(image);
 end;
 doBouttons;
end;

procedure Tmainform.smAfterWhileClick(Sender: TObject);
var el:BWhile;
    s:UTF8String;
begin
 s:=InputBox(self,strInputBox.caption,strNew.caption,strWhile.caption,'');
 if ((s<>'')and(s<>'???')) then
 begin
  addUndo;
  el:=BWhile.create;
  el.text.text:=s;
  el.comment.text:=inputform.comment.text;
  root.addAfterSelected(el);
  root.Draw(image);
 end;
 doBouttons;
end;

procedure Tmainform.smAfterRepeatClick(Sender: TObject);
var el:BRepeat;
    s:UTF8String;
begin
 s:=InputBox(self,strInputBox.caption,strNew.caption,strRepeat.caption,'');
 if ((s<>'')and(s<>'???')) then
 begin
  addUndo;
  el:=BRepeat.create;
  el.text.text:=s;
  el.comment.text:=inputform.comment.text;
  root.addAfterSelected(el);
  root.Draw(image);
 end;
 doBouttons;
end;


procedure Tmainform.smBeforeRepeatClick(Sender: TObject);
var el:BRepeat;
    s:UTF8String;
begin
 s:=InputBox(self,strInputBox.caption,strNew.caption,strRepeat.caption,'');
 if ((s<>'')and(s<>'???')) then
 begin
  addUndo;
  el:=BRepeat.create;
  el.text.text:=s;
  el.comment.text:=inputform.comment.text;
  root.addBeforeSelected(el);
  root.Draw(image);
 end;
 doBouttons;
end;


procedure Tmainform.mAboutClick(Sender: TObject);
begin
 MessageDlg('Structorizer (Lazarus)'+#13+
            'Version '+VERSION+#13+
            ''+#13+
            'Written and maintained by'+#13+
            '- Robert Fisch <robert.fisch@education.lu>'+#13+
            ''+#13+
            'Different good ideas provided by'+#13+
            ' - Serge Marelli <serge.marelli@education.lu>'+#13+
            ' - T1IF1 2006/2007'+#13+
            ' - Gil Belling <gil.belling@education.lu>'+#13+
            ' - Guy Loesch <guy.loesch@education.lu>'+#13+
            ' - Claude Sibenaler <claude.sibenaler@education.lu>'+#13+
            ' - Tom Van Houdenhove <tom@vanhoudenhove.be>'+#13+
            ' - Sylvain Piren <sylvain.piren@education.lu>'+#13+
            ' - Bernhard Wiesner <bernhard.wiesner@informatik.uni-erlangen.de>'+#13+
            ' - Christian Fandel <christian_fandel@web.de>'+#13+
            ' - Sascha Meyer <harlequin2@gmx.de>'+#13+
            ' - Andreas Jenet <ajenet@gmx.de>'+#13+
            ''+#13+
            'Language files provided by'+#13+
            ' - NL: Tom Van Houdenhove <tom@vanhoudenhove.be>'+#13+
            ' - LU: Laurent Zender <laurent.zender@hotmail.de>'+#13+
            ''+#13+
            'Regular Expression Evaluator by'+#13+
            ' - Andrey V. Sorokin <anso@mail.ru>'+#13+
            ''+#13+
            'XML Parsing Engine by'+#13+
            ' - Jeremy Darling <http://www.eonclash.com>'+#13+
            ''+#13+
            'Pascal Code Parsing Engine by'+#13+
            ' - Devin Cook'+#13+
            ' - Beany <Beany@cloud.demon.nl>'+#13+
            ''+#13+
            'Delphi Grammar by'+#13+
            ' - Rob F.M. van den Brink <R.F.M.vandenBrink@hccnet.nl>'+#13+
            ''+#13+
            'HTML Encoding + Decoding by'+#13+
            ' - Simon Reinhardt <reinhardt@picsoft.de>'
            ,mtInformation,[mbOK],0);
end;

procedure Tmainform.smCopyGraphicsClick(Sender: TObject);
begin
 root.SelectByCoord(0,0);
 root.Draw(image);
 doBouttons;
 Clipboard.Assign(image.Picture.Bitmap);
end;

procedure Tmainform.FormShow(Sender: TObject);
begin
 root.SelectByCoord(0,0);
 root.Draw(image);
end;

procedure Tmainform.mOpenClick(Sender: TObject);
var sl:TStringlist;
//LAZ     parser:BParser;
begin
 open.free;
 open:=TOpenDialog.create(self);
 open.title:='Open NSD-File';

 if(open.Execute) then
 begin
   
   if(root.changed=true)then
   case messageDlg(strSave.caption,                             // 1.22
             mtConfirmation, mbYesNoCancel,0) of
   mrYes: begin
           if (save.FileName='') then
           begin
            if(save.Execute)then
            begin
             sl:=TStringList.Create;
             sl.text:=root.getXml;
             sl.SaveToFile(save.FileName);
             sl.Free;
             save.FileName:=open.FileName;
             root.clear;
             parseNSD(open.FileName);
//LAZ              parser:=BParser.create;
//LAZ              parser.parse(open.FileName,root);
//LAZ              parser.free;
             mComments.Checked:=NSDUtils.flagDrawComments;
             root.SelectByCoord(0,0);
             root.Draw(image);
             root.changed:=false;
            end;
           end
           else
           begin
            sl:=TStringList.Create;
            sl.text:=root.getXml;
            sl.SaveToFile(save.FileName);
            sl.Free;
            save.FileName:=open.FileName;
            root.clear;
            parseNSD(open.FileName);
//LAZ             parser:=BParser.create;
//LAZ             parser.parse(open.FileName,root);
//LAZ             parser.free;
            mComments.Checked:=NSDUtils.flagDrawComments;
            root.SelectElementByCoord(0,0);;
            root.Draw(image);
            root.changed:=false;
            clearUndo;
            clearRedo;
           end;
          end;
   mrNo:  begin
            save.FileName:=open.FileName;
            root.clear;
            parseNSD(open.FileName);
//LAZ             parser:=BParser.create;
//LAZ             parser.parse(open.FileName,root);
//LAZ             parser.free;
            mComments.Checked:=NSDUtils.flagDrawComments;
            root.SelectElementByCoord(0,0);
            root.Draw(image);
            root.changed:=false;
            clearUndo;
            clearRedo;
          end;
  end
  else
  begin
            save.FileName:=open.FileName;
            clearUndo;
            root.clear;
            parseNSD(open.FileName);
//LAZ             parser:=BParser.create;
//LAZ             parser.parse(open.FileName,root);
//LAZ             parser.free;
            mComments.Checked:=NSDUtils.flagDrawComments;
            root.SelectElementByCoord(0,0);
            root.Draw(image);
            root.changed:=false;
            clearUndo;
            clearRedo;
  end;
 end;
 doBouttons;
end;

procedure Tmainform.mSaveClick(Sender: TObject);
var sl:TStringlist;
    namei:UTF8String;                                                                                      // 1.20
begin
           if (save.FileName='') then
           begin
            if(root.text[0]<>'???') then save.filename:=root.text[0]+'.nsd';
            namei:=AnsiReplaceStr(save.filename,':','_');                                              // 1.20
            if(pos(' (',namei)<>0) then delete(namei,pos(' (',namei),length(namei)-pos(' (',namei)+1);  // 1.20
            if(pos('(',namei)<>0) then delete(namei,pos('(',namei),length(namei)-pos('(',namei)+1);     // 1.20
            save.filename:=namei;                                                                      // 1.20
            if(save.Execute)then
            begin
             if(root.text[0]='???')then
             begin
               root.text.text:=AnsiUpperCase(copy(ExtractFileName(save.filename),1,length(ExtractFileName(save.filename))-4));
               root.Draw(image);
             end;
             sl:=TStringList.Create;
             sl.text:=utf8toansi(root.getXml);
             sl.SaveToFile(save.FileName);
             root.changed:=false;
             sl.Free;
            end
            else save.filename:='';
           end
           else
           begin
            sl:=TStringList.Create;
            sl.text:=utf8toansi(root.getXml);
            sl.SaveToFile(save.FileName);
            root.changed:=false;
            sl.Free;
           end;
end;

procedure Tmainform.Button1Click(Sender: TObject);
begin
end;


procedure Tmainform.mNewClick(Sender: TObject);
var sl:TStringlist;
begin
  if(root.changed=true) then
  case messageDlg(strSave.caption,                             // 1.22
             mtConfirmation, mbYesNoCancel,0) of
   mrYes: begin
           if (save.FileName='') then
           begin
            if(save.Execute)then
            begin
             sl:=TStringList.Create;
             sl.text:=root.getXml;
             sl.SaveToFile(save.FileName);
             sl.Free;
             save.FileName:='';
             root.clear;
             root.SelectElementByCoord(0,0);
             root.Draw(image);
             root.changed:=false;
            end;
           end
           else
           begin
            sl:=TStringList.Create;
            sl.text:=root.getXml;
            sl.SaveToFile(save.FileName);
            sl.Free;
            save.FileName:='';
            root.clear;
            root.SelectElementByCoord(0,0);
            root.Draw(image);
            root.changed:=false;
            clearUndo;
            clearRedo;
           end;
          end;
   mrNo:  begin
            save.FileName:='';
            root.clear;
            root.SelectElementByCoord(0,0);
            root.Draw(image);
            root.changed:=false;
            clearUndo;
            clearRedo;
          end;
  end
  else
  begin
    save.FileName:='';
    root.clear;
    root.SelectByCoord(0,0);
    root.Draw(image);
    root.changed:=false;
    clearUndo;
    clearRedo;
  end;
  doBouttons;
end;


procedure Tmainform.image2MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var mSelected:Belement;
begin
 if((mdown=true)and(ssctrl in Shift)) then
 begin
  root.left:=image.left;
  root.top:=image.Top;
 end;
 if ((mDown=true)and(mMove=true)and(bSelected<>nil)) then
 begin
  E_DRAWCOL:=clYellow;
  if(not(bselected is BSubQueue) and not(bSelected is BRoot)) then              // 1.24
  begin                                                                         // 1.24
    mSelected:=root.SelectElementByCoord(x,y);
    if(mSelected<>nil) then
    begin
     mSelected.selected:=false;
     if((mselected<>nil)and not(mselected is BRoot) and not(mSelected=bSelected) and (root.checkChild(mSelected,bselected)=false)) then
     begin
      addUndo;
      root.removeElement(bSelected);
      mSelected.selected:=false;
      root.addAfterSelected(bSelected);
      bSelected.selected:=true;
      root.selectedElement:=bSelected;
     end
     else
     begin
       bSelected.selected:=true;  { }
       root.selectedElement:=bSelected;
     end;
    end;
  end;                                                                          // 1.24
 end
 else
 begin
 { root.SelectByCoord(x,y);
  bSelected:=root.SelectElementByCoord(x,y);}
 end;
 root.Draw(image);
 mDown:=false;
 doBouttons;
end;

procedure Tmainform.image2MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
var bSome,bMove:BElement;
begin
// mainform.caption:=inttostr(image.picture.bitmap.canvas.pixels[x,y]);
 if((mDown=true)and(ssCtrl in shift)) then
 begin
   Image.SetBounds(image.Left-mx+x,image.top-my+y,image.width,image.height);
 end;

if(insertClick=false) then
begin
 bSome:=root.SelectElementByCoord(x,y);
 root.selectedElement:=bselected;
 if ((mDown=true)and(bSelected<>nil)and(x<>mx)and(y<>my)and(bMoved<>bSome)) then // 1.24
 begin
  mMove:=true;
  root.SelectByCoord(x,y);
  bSelected.selected:=true;
  if((root.checkChild(bSome,bselected)=true)or(bSome is BRoot)or(bSelected is BSubqueue)) then E_DRAWCOL:=clRed
  else E_DRAWCOL:=clYellow;
  root.Draw(image);
 end    { }
 else
 begin
  //comment.Visible:=false;
  bMove:=root.GetByCoord(x,y);
  if((bMove<>nil)and(NSDUtils.flagDrawComments=true)) then
  begin
    if(trim(bMove.comment.text)<>'') then
    begin
     comment.setCaption(trim(bMove.comment.Text));
     comment.left:=x+13-scrollBox.HorzScrollBar.Position;
     comment.Top:=y+22-scrollBox.VertScrollBar.Position;
     comment.Visible:=true;
    end
    else
    begin
     comment.caption:='';
     comment.Visible:=false;
    end;
  end
  else
  begin
    comment.caption:='';
    comment.Visible:=false;
  end;
 end;
 bMoved:=bSome; { }
end
else
begin
 mDown:=false;
 insertClick:=false;
end;

end;

procedure Tmainform.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
var sl:TStringlist;
begin
  timerAnalyser.Enabled:=False;
  {$IfDef NOMDI}
  CanClose:=false;
  if(root.changed=true)then
  case messageDlg(strSave.caption,                             // 1.22
             mtConfirmation, mbYesNoCancel,0) of
   mrYes: begin
           CanClose:=true;
           if (save.FileName='') then
           begin
            if(save.Execute)then
            begin
             sl:=TStringList.Create;
             sl.text:=root.getXml;
             sl.SaveToFile(save.FileName);
             sl.Free;
            end
            else
            begin
             CanClose:=false;
             timerAnalyser.Enabled:=true;
            end;
           end
           else
           begin
            sl:=TStringList.Create;
            sl.text:=root.getXml;
            sl.SaveToFile(save.FileName);
            sl.Free;
           end;
          end;
   mrNo:  CanClose:=true;
  end
  else CanClose:=true;
  {Else}
  CanClose:=true;
  {$EndIf}
end;

procedure Tmainform.mQuitClick(Sender: TObject);
begin
 close;
end;

procedure Tmainform.aMoveUpExecute(Sender: TObject);
begin
 addUndo;
 root.moveUpSelected;
 root.Draw(image);
 doBouttons;
end;

procedure Tmainform.aMoveDownExecute(Sender: TObject);
begin
 addUndo;
 root.moveDownSelected;
 root.Draw(image);
 doBouttons;
end;

procedure Tmainform.aSaveAsExecute(Sender: TObject);
var sl:TStringlist;
    namei:UTF8String;                                                                                      // 1.20
begin
            if(root.text[0]<>'???') then save.filename:=root.text[0]+'.nsd';
            namei:=AnsiReplaceStr(save.filename,':','_');                                              // 1.20
            if(pos(' (',namei)<>0) then delete(namei,pos(' (',namei),length(namei)-pos(' (',namei)+1);  // 1.20
            if(pos('(',namei)<>0) then delete(namei,pos('(',namei),length(namei)-pos('(',namei)+1);     // 1.20
            save.filename:=namei;                                                                      // 1.20
            if(save.Execute)then
            begin
             sl:=TStringList.Create;
             sl.text:=utf8toansi(root.getXml);
             sl.SaveToFile(save.FileName);
             sl.Free;
             root.changed:=false;
             if(root.text[0]='???') then
             begin
               root.text[0]:=UpperCase(ExtractFileName(copy(save.filename,1,length(save.filename)-4)));
               root.Draw(Image);
             end;
            end
            else save.FileName:='';                                                     //1.21
end;



procedure Tmainform.Button2Click(Sender: TObject);
begin
end;

procedure Tmainform.FormClose(Sender: TObject; var CloseAction: TCloseAction);
var inif:TiniFile;
    tr:TSearchRec;
begin
 try
  if FindFirst(extractFilePath(application.exename)+'structorizer.ini',faAnyFile,tr)=0 then
  begin
   if (tr.attr and faReadOnly =0) then
   begin
    {INI-File}
    // load INI File
    try
     inif:=TInifile.Create(extractFilePath(application.exename)+'structorizer.ini');
     // preferences
     inif.WriteString('Font','Name',image.Canvas.Font.Name);
     inif.WriteInteger('Font','Size',image.Canvas.Font.Size);
     // security
     inif.WriteString('Coding','Types',mTypes);
     // position
     inif.WriteInteger('Position','Top',self.top);
     inif.WriteInteger('Position','Left',self.left);
     inif.WriteInteger('Position','Width',self.width);
     inif.WriteInteger('Position','Height',self.height);
     // visibility
     inif.WriteBool('Show','Comments',NSDUtils.flagDrawComments);
     //lang
     if(mEnglish.Checked=true) then inif.WriteString('Layout','Lang','uk');
     if(mGerman.Checked=true) then inif.WriteString('Layout','Lang','de');
     if(mFrench.Checked=true) then inif.WriteString('Layout','Lang','fr');
     if(mDutch.Checked=true) then inif.WriteString('Layout','Lang','nl');       // 1.22
     //forms                                                                    // 1.19
     inif.WriteString('Forms','IfTrue',utf8toansi(self.strAlternativeTrue.caption));    // 1.19
     inif.WriteString('Forms','IfFalse',utf8toansi(self.strAlternativeFalse.caption));  // 1.19
     inif.WriteString('Forms','For',utf8toansi(self.strFor.caption));                   // 1.19
     inif.WriteString('Forms','While',utf8toansi(self.strWhile.caption));               // 1.19
     inif.WriteString('Forms','Repeat',utf8toansi(self.strRepeat.caption));             // 1.19
     inif.WriteString('Forms','Case',utf8toansi(self.strCase.caption));                 // 1.22
     inif.WriteString('Forms','If',utf8toansi(self.strIf.caption));                     // 1.22
     // Analyser
     inif.WriteBool('Analyser','ModifiedLoopVariable',frmAnalyser.chkModifiedLoopVariable.Checked);             // 1.25
     inif.WriteBool('Analyser','InfiniteLoop',frmAnalyser.chkInfiniteLoop.Checked);                             // 1.25
     inif.WriteBool('Analyser','NonInitializedVariables',frmAnalyser.chkNonInitializedVariables.Checked);       // 1.25
     inif.WriteBool('Analyser','EmptyTrue',frmAnalyser.chkEmptyTrue.Checked);                                   // 1.25
     inif.WriteBool('Analyser','UpperCaseIdentifiers',frmAnalyser.chkUpperCaseIdentifiers.Checked);             // 1.25
     inif.WriteBool('Analyser','ProgramName',frmAnalyser.chkProgramName.Checked);                               // 1.25
     inif.WriteBool('Analyser','CorrectIdentifiers',frmAnalyser.chkCorrectIdentifiers.Checked);                 // 1.25
     inif.WriteBool('Analyser','IfAffectations',frmAnalyser.chkIfAffectations.Checked);                         // 1.25
     inif.WriteBool('Analyser','chkProgramnameIndificer',frmAnalyser.chkProgramnameIndificer.Checked);          // 1.25
     // colors
     inif.WriteInteger('Colors','color0',frmMyColors.color0.brush.Color);                                             // 1.25
     inif.WriteInteger('Colors','color1',frmMyColors.color1.brush.Color);                                             // 1.25
     inif.WriteInteger('Colors','color2',frmMyColors.color2.brush.Color);                                             // 1.25
     inif.WriteInteger('Colors','color3',frmMyColors.color3.brush.Color);                                             // 1.25
     inif.WriteInteger('Colors','color4',frmMyColors.color4.brush.Color);                                             // 1.25
     inif.WriteInteger('Colors','color5',frmMyColors.color5.brush.Color);                                             // 1.25
     inif.WriteInteger('Colors','color6',frmMyColors.color6.brush.Color);                                             // 1.25
     inif.WriteInteger('Colors','color7',frmMyColors.color7.brush.Color);                                             // 1.25
     inif.WriteInteger('Colors','color8',frmMyColors.color8.brush.Color);                                             // 1.25
     inif.WriteInteger('Colors','color9',frmMyColors.color9.brush.Color);                                             // 1.25
     // free INI File
     inif.Free;
    except;
    end;
   end
   else
   begin
    // nothing
   end;
  end;
 except
 end;

 // destroy child forms
//LAZ
(*
 frmAnalyser.free;             // 1.25
 inputform.free;               // 1.25
 formSource.free;              // 1.25
 formVariables.free;           // 1.25
 frmColors.free;               // 1.25
 frmPrint.free;                // 1.25
 frmMyColors.free;             // 1.25
 frmUpdate.free;               // 1.25
 frmPreferences.free;          // 1.25
*)

 {$IfDef MDI}             // 1.25
  Action:=caFree;         // 1.25
 {$EndIf}                 // 1.25

 clearUndo;
 undoList.free;
 clearRedo;
 redoList.free;
 errorList.free;

end;

procedure Tmainform.aFontExecute(Sender: TObject);
begin
 // LAZ
 (*
 FontDilog.font:=image.Canvas.Font;
 if(FontDilog.Execute) then
 begin
   image.Canvas.font.Name:=FontDilog.Font.Name;
   image.Canvas.Font.Size:=FontDilog.Font.Size;
   root.Draw(image);
 end;
 *)
 if (frmFont.lstName.Items.IndexOf(image.canvas.font.name)>=0) then
   frmFont.lstName.itemindex:=frmFont.lstName.Items.IndexOf(image.canvas.font.name);
   
 if (frmFont.lstSize.items.indexof(inttostr(FontDilog.Font.Size))>=0) then
   frmFont.lstSize.itemindex:=frmFont.lstSize.items.indexof(inttostr(FontDilog.Font.Size));
   
 if(frmFont.showmodal=mrOK) then
 begin
  if(frmFont.lstName.itemindex>=0) then image.canvas.font.name:=frmFont.lstName.items[frmFont.lstName.itemindex];
  if(frmFont.lstSize.itemindex>=0) then image.canvas.font.Size:=strtoint(frmFont.lstSize.items[frmFont.lstSize.itemindex]);
  root.Draw(image);
 end;
end;

procedure Tmainform.aProgramExecute(Sender: TObject);
begin
 tProgram.Down:=true;           // 1.19
 addUndo;
 root.isProgram:=true;
 root.Draw(image);
end;

procedure Tmainform.aFunctionExecute(Sender: TObject);
begin
 tFunction.Down:=true;          // 1.19
 addUndo;
 root.isProgram:=false;
 root.Draw(image);
end;

procedure Tmainform.AddToReport(Msg1, Msg2, Msg3, Msg4: UTF8String; LN: integer);
begin
  //report.items.Add(Format('"%s" , "%s" , "%s" , "%s" , "%d"', [Msg1,Msg2,Msg3,Msg4,LN]));
  if(alertMessage=true) then
  MessageDlg(Msg1+' at line '+inttostr(LN)+#13+
             Msg2+#13+
             Msg3+#13+
             Msg4,mtError,[mbOK],0)
  else status.Caption:=Msg1+' at line '+inttostr(LN);
end;

function cleanup(_S:UTF8String):UTF8String;
begin
   if(pos('[',_S)<>0) then _S:=copy(_S,1,pos('[',_S)-1);
   if(pos('.',_S)<>0) then _S:=copy(_S,1,pos('.',_S)-1);
   result:=_S;
end;


function Tmainform.ParseOutVariableNames(_expression,_grammar:UTF8String):TStringlist;

var GP:TGOLDParser;
    str:TStringlist;
    done:boolean;
    response,n,reductionNumber:Integer;
    txt:UTF8String;

  procedure getContent_R(R : TReduction; var _content:UTF8String);
  var i:integer;
  begin
   if(R.TokenCount>0) then
    for i:=0 to R.TokenCount-1 do
    begin
      case R.Tokens[i].Kind of
        SymbolTypeNonterminal: getContent_R(R.Tokens[i].Reduction,_content);
        SymbolTypeTerminal   : _content:=_content+R.Tokens[i].DataVar;
      end;
    end
   else _content:=_content+R.ParentRule.Text;
  end;

 procedure findVARS_R(R : TReduction);
  var i:integer;
  begin
   if R.TokenCount<>0 then
   begin
           if(
              (R.ParentRule.Name='<Value>')
              ) then
           begin

            if(trim(R.Tokens[0].DataVar)<>'') then str.add(R.Tokens[0].DataVar);
           end
           else for i:=0 to R.TokenCount-1 do
                if(R.Tokens[i].Kind=SymbolTypeNonterminal) then findVARS_R(R.Tokens[i].Reduction);
  end;
 end;

 procedure findVARS(Reduction: TReduction);
 begin
   try
     findVARS_R(Reduction);
   finally
   end;
 end;

begin
  _grammar:=extractfilepath(application.exename)+_grammar;

  _expression:=ReplaceRegExpr('(.*?)[[](.*?)[]](.*?)',_expression,'$1 $3',true);

  _expression:=ReplaceRegExpr('[Ee][Cc][Rr][Ii][Rr][Ee][ ](.*?)',_expression,'$1',true);
  _expression:=ReplaceRegExpr('[Ee][Cc][Rr][Ii][Rr][Ee](.*?)',_expression,'$1',true);

  _expression:=ReplaceRegExpr('[Ll][Ii][Rr][Ee][ ](.*?)',_expression,'$1',true);
  _expression:=ReplaceRegExpr('[Ll][Ii][Rr][Ee](.*?)',_expression,'$1',true);

  _expression:=ReplaceRegExpr('(.*?)[ ][][ ](.*?)',_expression,'$1 $2',true);
  _expression:=ReplaceRegExpr('(.*?)[ ][downto][ ](.*?)',_expression,'$1 $2',true);
  _expression:=ReplaceRegExpr('(.*?)[ ][to][ ](.*?)',_expression,'$1 $2',true);

  _expression:=ReplaceRegExpr('(.*?)[ ][<][-][-](.*?)',_expression,'$1:=$2',true);
  _expression:=ReplaceRegExpr('(.*?)[<][-][-][ ](.*?)',_expression,'$1:=$2',true);
  _expression:=ReplaceRegExpr('(.*?)[ ] [<][-][-][ ](.*?)',_expression,'$1:=$2',true);
  _expression:=ReplaceRegExpr('(.*?)[<][-][-](.*?)',_expression,'$1:=$2',true);

  _expression:=ReplaceRegExpr('(.*?)[ ][<][-][ ](.*?)',_expression,'$1:=$2',true);
  _expression:=ReplaceRegExpr('(.*?)[ ][<][-](.*?)',_expression,'$1:=$2',true);
  _expression:=ReplaceRegExpr('(.*?)[<][-][ ](.*?)',_expression,'$1:=$2',true);
  _expression:=ReplaceRegExpr('(.*?)[<][-](.*?)',_expression,'$1:=$2',true);

{  _expression:=ReplaceRegExpr('(.*?)[ ] [<][=][ ] (.*?)[;]',_expression,'$1:=$2;',true);
  _expression:=ReplaceRegExpr('(.*?)[ ][<][=](.*?)[;]',_expression,'$1:=$2;',true);
  _expression:=ReplaceRegExpr('(.*?)[<][=][ ] (.*?)[;]',_expression,'$1:=$2;',true);
  _expression:=ReplaceRegExpr('(.*?)[<][=](.*?)[;]',_expression,'$1:=$2;',true);}

  _expression:=ReplaceRegExpr('(.*?)[)][ ][Ee][Tt][ ][(](.*?)',_expression,'$1) and ($2',true);
  _expression:=ReplaceRegExpr('(.*?)[)][Ee][Tt][(](.*?)',_expression,'$1)and($2',true);
  _expression:=ReplaceRegExpr('(.*?)[Ee][Tt][ ](.*?)',_expression,'$1and $2',true);
  _expression:=ReplaceRegExpr('(.*?)[)][ ][Oo][Uu][ ][(](.*?)',_expression,'$1) or ($2',true);
  _expression:=ReplaceRegExpr('(.*?)[)][Oo][Uu][(](.*?)',_expression,'$1)or($2',true);
  _expression:=ReplaceRegExpr('(.*?)[Oo][Uu][ ](.*?)',_expression,'$1or $2',true);

  _expression:=ReplaceRegExpr('[Pp][Oo][Uu][Rr][ ](.*?)',_expression,'$1',true);
  _expression:=ReplaceRegExpr('[Pp][Oo][Uu][Rr](.*?)',_expression,'$1',true);

  _expression:=ReplaceRegExpr('[Tt][Aa][Nn][Tt][ ][Qq][Uu][Ee][ ](.*?)',_expression,'$1',true);
  _expression:=ReplaceRegExpr('[Tt][Aa][Nn][Tt][ ][Qq][Uu][Ee](.*?)',_expression,'$1',true);

  _expression:=ReplaceRegExpr('[Jj][Uu][Ss][Qq][Uu][''][Aa][ ][Cc][Ee][ ][Qq][Uu][Ee](.*?)',_expression,'$1',true);
  _expression:=ReplaceRegExpr('[Jj][Uu][Ss][Qq][Uu][''][Aa][ ][Cc][Ee][ ][Qq][Uu][Ee][ ](.*?)',_expression,'$1',true);
  _expression:=ReplaceRegExpr('[Jj][Uu][Ss][Qq][Uu][''][Aa](.*?)',_expression,'$1',true);
  _expression:=ReplaceRegExpr('[Jj][Uu][Ss][Qq][Uu][''][Aa][ ](.*?)',_expression,'$1',true);
  _expression:=ReplaceRegExpr('[Jj][Uu][Ss][Qq][Uu][Ee](.*?)',_expression,'$1',true);
  _expression:=ReplaceRegExpr('[Jj][Uu][Ss][Qq][Uu][Ee][ ](.*?)',_expression,'$1',true);

  str:=TStringlist.create;
 // create parser
 GP:=TGOLDParser.Create;

 // load grammar
 try
 if (GP.LoadCompiledGrammar(_grammar)) then
 begin
  // open codesource
  GP.OpenTextString(_expression);
  // set reduction flag
  GP.TrimReductions:=true;

  done:=false;
  while (not done) do
  begin
         Response := GP.Parse;

         case Response of
         gpMsgLexicalError:
            begin
               //AddToReport('Lexical Error', 'Cannot recognize token', GP.CurrentToken.DataVar, '', GP.CurrentLineNumber);
               Done:=True;
            end;
         gpMsgSyntaxError:
            begin
               txt:='';
               for n:=0 to GP.TokenTable.Count - 1 do txt:=txt+' '+GP.TokenTable[n].Name;
               //AddToReport('Syntax Error', 'Expecting the following tokens', TrimLeft(txt), '', GP.CurrentLineNumber);
               Done:=True;
            end;
         gpMsgReduction:
            begin
               Inc(reductionNumber);
               GP.CurrentReduction.Tag:=ReductionNumber;   //Mark the reduction
               //AddToReport('Reduce', GP.CurrentReduction.ParentRule.Text, IntToStr(ReductionNumber), IntToStr(GP.CurrentReduction.ParentRule.TableIndex), GP.CurrentLineNumber);
            end;
         gpMsgAccept:
            begin
               if(alertMessage=false) then
                 AddToReport('Accept', GP.CurrentReduction.ParentRule.Text, '', IntToStr(GP.CurrentReduction.ParentRule.TableIndex), GP.CurrentLineNumber);
               findVARS(GP.CurrentReduction);
               Done:=True;
            end;
         gpMsgTokenRead:
            begin
               //AddToReport('Token Read', GP.CurrentToken.Name, GP.CurrentToken.Text, IntToStr(GP.CurrentToken.TableIndex), GP.CurrentLineNumber);
            end;
         gpMsgInternalError:
            begin
               //AddToReport('Internal Error', 'Something is horribly wrong', '', '', GP.CurrentLineNumber);
               Done:=True;
            end;
         gpMsgNotLoadedError:
            begin
               //=== Due to the if-statement above, this case statement should never be true
               //AddToReport('Not Loaded Error', 'Compiled Gramar Table not loaded', '', '', 0);
               Done:=True;
            end;
         gpMsgCommentError:
            begin
               //AddToReport('Comment Error', 'Unexpected end of file', '', '', GP.CurrentLineNumber);
               Done:=True;
            end;
         end;
      end;
   end else
      ShowMessage(ansitoutf8('Input file '+_grammar+'  could not be opened!'));
 except
   on e: exception do showmessage(e.message);
 end;

 // free up parser
 GP.free;
  result:=str;

end;

procedure Tmainform.ParseInputText(_text:ansistring);
var GP:TGOLDParser;
    done:Boolean;
    response,n,reductionNumber:Integer;
    txt:UTF8String;

  function updateContent(_content:UTF8String):UTF8String;
  begin
   _content:=ReplaceRegExpr('[Ww][Rr][Ii][Tt][Ee][(](.*?)[)]',_content,'crire $1',true);
   _content:=ReplaceRegExpr('[Ww][Rr][Ii][Tt][Ee][Ll][Nn][(](.*?)[)]',_content,'crire $1',true);
   _content:=ReplaceRegExpr('[Rr][Ee][Aa][Dd][(](.*?)[)]',_content,'lire $1',true);
   _content:=ReplaceRegExpr('[Rr][Ee][Aa][Dd][Ll][Nn][(](.*?)[)]',_content,'lire $1',true);
   _content:=ReplaceRegExpr('[Rr][Ee][Aa][Dd][Ll][Nn](.*?)',_content,'lire $1',true);
   _content:=ReplaceRegExpr('(.*?)[:][=](.*?)',_content,'$1 <- $2',true);
   _content:=ReplaceEntities(_content);
   result:=ansitoutf8(trim(_content));
  end;

  procedure getContent_R(R : TReduction; var _content:UTF8String);
  var i:integer;
  begin
   if(R.TokenCount>0) then
    for i:=0 to R.TokenCount-1 do
    begin
      case R.Tokens[i].Kind of
        SymbolTypeNonterminal: getContent_R(R.Tokens[i].Reduction,_content);
        SymbolTypeTerminal   : begin
                                if (trim(R.Tokens[i].DataVar)='mod') or
                                   (trim(R.Tokens[i].DataVar)='div')
                                then _content:=_content+' '+trim(R.Tokens[i].DataVar)+' '
                                else _content:=_content+(R.Tokens[i].DataVar)
                               end;
      end;
    end
   else _content:=_content+trim(R.ParentRule.Text);
  end;

  procedure DrawNSD_R(R : TReduction; ParentNode : BSubqueue);
  var i:integer;
      content:UTF8String;
      ele:Belement;
  begin
   if R.TokenCount<>0 then
   begin
           if(
              (R.ParentRule.Name='<RefId>')
              or
              (R.ParentRule.Name='<CallStmt>')
              or
              (R.ParentRule.Name='<Designator>')
              or
              (R.ParentRule.Name='<AssignmentStmt>')
              ) then
           begin
            content:='';
            getContent_R(R,content);
            parentnode.AddInstruction(updateContent(content));
           end
           else if(
              (R.ParentRule.Name='<UsesClause>')
              or
              (R.ParentRule.Name='<VarSection>')
              or
              (R.ParentRule.Name='<ConstSection>')
              ) then
           begin
           end
           else if(
              (R.ParentRule.Name='<ProgHeader>')
              ) then
           begin
            content:='';
            getContent_R(R.Tokens[1].Reduction,content);
            root.text.text:=updateContent(content);
           end
           else if(
              (R.ParentRule.Name='<ProcHeading>')
              ) then
           begin
            content:='';
            getContent_R(R.Tokens[1].Reduction,content);
            if(r.Tokens[2].Reduction.TokenCount<>0) then
              getContent_R(R.Tokens[2].Reduction,content);
            content:=ReplaceRegExpr('(.*?)[;](.*?)',content,'$1; $2',true);
            root.text.text:=updateContent(content);
            root.isProgram:=false;
           end
           else if(
              (R.ParentRule.Name='<FuncHeading>')
              ) then
           begin
            content:='';
            getContent_R(R.Tokens[1].Reduction,content);
            if(r.Tokens[2].Reduction.TokenCount<>0) then
              getContent_R(R.Tokens[2].Reduction,content);
            if(r.Tokens[4].Reduction.TokenCount<>0) then
            begin
                content:=content+': ';
                getContent_R(R.Tokens[4].Reduction,content);
            end;
            content:=ReplaceRegExpr('(.*?)[;](.*?)',content,'$1; $2',true);
            root.text.text:=updateContent(content);
            root.isProgram:=false;
           end
           else if(
              (R.ParentRule.Name='<WhileStatement>')
              ) then
           begin
            content:='';
            getContent_R(R.Tokens[1].Reduction,content);
            ele:=ParentNode.AddWhile('tant que '+updateContent(content));
            DrawNSD_R(R.Tokens[3].Reduction,(ele as BWhile).q);
           end
           else if(
              (R.ParentRule.Name='<RepeatStatement>')
              ) then
           begin
            content:='';
            getContent_R(R.Tokens[3].Reduction,content);
            ele:=ParentNode.AddRepeat('jusqu'' '+updateContent(content));
            DrawNSD_R(R.Tokens[1].Reduction,(ele as BRepeat).q);
           end
           else if(
              (R.ParentRule.Name='<ForStatement>')
              ) then
           begin
            content:='';
            getContent_R(R.Tokens[1].Reduction,content);
            //getContent_R(R.Tokens[2].Reduction,content);
            content:=content+':=';
            getContent_R(R.Tokens[3].Reduction,content);
            content:=content+' ';
            getContent_R(R.Tokens[4].Reduction,content);
            content:=content+' ';
            getContent_R(R.Tokens[5].Reduction,content);
            ele:=ParentNode.AddFor('pour '+updateContent(content));
            DrawNSD_R(R.Tokens[7].Reduction,(ele as BFor).q);
           end
           else if(
              (R.ParentRule.Name='<IfStatement>')
              ) then
           begin
            content:='';
            getContent_R(R.Tokens[1].Reduction,content);
            ele:=ParentNode.AddIf(updateContent(content));
            DrawNSD_R(R.Tokens[3].Reduction,(ele as BAlternative).qTrue);
            if(R.TokenCount>=5) then DrawNSD_R(R.Tokens[5].Reduction,(ele as BAlternative).qFalse)
           end
           else for i:=0 to R.TokenCount-1 do
                if(R.Tokens[i].Kind=SymbolTypeNonterminal) then DrawNSD_R(R.Tokens[i].Reduction,ParentNode);
   end;
  end;

 procedure DrawNSD(Reduction: TReduction);
 begin
   root.clear;
   root.isProgram:=true;
   try
     DrawNSD_R(Reduction, root.children);
   finally
    root.Draw(image);
   end;
 end;

begin
 _Text:=ReplaceHighChars(_Text);

 // create parser
 GP:=TGOLDParser.Create;

 // load grammar
 if (GP.LoadCompiledGrammar(extractfilepath(application.exename)+'D7Grammar.cgt')) then
 begin
(**)
  // open codesource
  GP.OpenTextString(_Text);
  // set reduction flag
  GP.TrimReductions:=true;

  done:=false;
  while (not done) do
  begin
         Response := GP.Parse;

         case Response of
         gpMsgLexicalError:
            begin
               AddToReport('Lexical Error', 'Cannot recognize token', GP.CurrentToken.DataVar, '', GP.CurrentLineNumber);
               Done:=True;
            end;
         gpMsgSyntaxError:
            begin
               txt:='';
               for n:=0 to GP.TokenTable.Count - 1 do txt:=txt+' '+GP.TokenTable[n].Name;
               AddToReport('Syntax Error', 'Expecting the following tokens', TrimLeft(txt), '', GP.CurrentLineNumber);
               Done:=True;
            end;
         gpMsgReduction:
            begin
               Inc(reductionNumber);
               GP.CurrentReduction.Tag:=ReductionNumber;   //Mark the reduction
               //AddToReport('Reduce', GP.CurrentReduction.ParentRule.Text, IntToStr(ReductionNumber), IntToStr(GP.CurrentReduction.ParentRule.TableIndex), GP.CurrentLineNumber);
            end;
         gpMsgAccept:
            begin
               if(alertMessage=false) then
                 AddToReport('Accept', GP.CurrentReduction.ParentRule.Text, '', IntToStr(GP.CurrentReduction.ParentRule.TableIndex), GP.CurrentLineNumber);
               DrawNSD(GP.CurrentReduction);
               Done:=True;
            end;
         gpMsgTokenRead:
            begin
               //AddToReport('Token Read', GP.CurrentToken.Name, GP.CurrentToken.Text, IntToStr(GP.CurrentToken.TableIndex), GP.CurrentLineNumber);
            end;
         gpMsgInternalError:
            begin
               AddToReport('Internal Error', 'Something is horribly wrong', '', '', GP.CurrentLineNumber);
               Done:=True;
            end;
         gpMsgNotLoadedError:
            begin
               //=== Due to the if-statement above, this case statement should never be true
               AddToReport('Not Loaded Error', 'Compiled Gramar Table not loaded', '', '', 0);
               Done:=True;
            end;
         gpMsgCommentError:
            begin
               AddToReport('Comment Error', 'Unexpected end of file', '', '', GP.CurrentLineNumber);
               Done:=True;
            end;
         end;
      end;
      (**)
   end else
      ShowMessage(ansitoutf8('Delphi 7 grammar could not be opened!'));

 // free up parser
 GP.free;
end;

procedure Tmainform.codesourceChange(Sender: TObject);
begin
 tickies:=GetTickCount+200;
 RealTimer.Enabled:=true;
end;

procedure Tmainform.realTimerTimer(Sender: TObject);
var s:UTF8String;
begin
 if(mImport.Visible=true) then
 if(GetTickCount>tickies) then
 begin
   alertMessage:=false;
   s:=codesource.lines.text;
   if(copy(s,1,length('program'))='program') then ParseInputText(s)
   else if((copy(s,1,length('procedure'))='procedure')or
           (copy(s,1,length('function'))='function')) then
   begin
     s:='program none;'+#13+s+#13+'begin'+#13+'end.';
     ParseInputText(s);
     root.isProgram:=false;
     root.Draw(image);
   end
   else
   begin
    s:='program none;'+#13+'begin'+#13+s+'end.';
    ParseInputText(s);
    root.text.Text:='???';
    root.Draw(image);
   end;
   RealTimer.Enabled:=false;
 end;
end;

 function extract(_from,_sep:UTF8String):TStringlist;
 var str:TStringlist;
     posi:word;
 begin
   str:=TStringList.Create;
   posi:=pos(_sep,_from);
   while(posi<>0) do
   begin
    str.add(trim(copy(_from,1,posi-1)));
    delete(_from,1,posi+1);
    posi:=pos(_sep,_from);
   end;
   if(_from<>'') then str.add(trim(_from));
   extract:=str;
 end;

 function extractVarnames(_lines:TStringlist; _root:UTF8String): TStringlist;
 var str,params,vars:TStringlist;
     i,j:word;
     S:UTF8String;
 begin
   str:=TStringList.Create;


   _root:=ReplaceRegExpr('(.*?)[(](.*?)[)](.*?)',_root,'$2',true);              // 1.26
   params:=Explode(';',_root);                                                  // 1.26
   if(params.Count>0) then                                                      // 1.26
   begin                                                                        // 1.26
     for i:=0 to params.count-1 do                                              // 1.26
     begin                                                                      // 1.26
       S:=params[i];                                                            // 1.26
       delete(S,pos(':',params[I]),length(params[i])-pos(':',params[i])+1);     // 1.26
       params[i]:=S;                                                            // 1.26
       vars:=Explode(',',params[i]);                                            // 1.26
       if(vars.Count>0) then                                                    // 1.26
         for j:=0 to vars.count-1 do str.Add(vars[j]);                          // 1.26
     end;                                                                       // 1.26
   end;                                                                         // 1.26


   if(_lines.Count>0) then
   for i:=0 to _lines.count-1 do
   begin
  _lines[i]:=ReplaceRegExpr('(.*?)[[](.*?)[]](.*?)',_lines[i],'$1$3',true);

  _lines[i]:=ReplaceRegExpr('[Ee][Cc][Rr][Ii][Rr][Ee][ ](.*?)',_lines[i],'crire $1',true);
//  _lines[i]:=ReplaceRegExpr('[Ee][Cc][Rr][Ii][Rr][Ee](.*?)',_lines[i],'crire$1',true);

  _lines[i]:=ReplaceRegExpr('[Ll][Ii][Rr][Ee][ ](.*?)',_lines[i],'lire $1',true);
//  _lines[i]:=ReplaceRegExpr('[Ll][Ii][Rr][Ee](.*?)',_lines[i],'lire$1',true);

{  _lines[i]:=ReplaceRegExpr('(.*?)[ ][][ ](.*?)',_lines[i],'$1',true);

  _lines[i]:=ReplaceRegExpr('(.*?)[ ][<][-][-](.*?)[;]',_lines[i],'$1:=$2',true);
  _lines[i]:=ReplaceRegExpr('(.*?)[<][-][-][ ](.*?)[;]',_lines[i],'$1:=$2',true);
  _lines[i]:=ReplaceRegExpr('(.*?)[ ] [<][-][-][ ](.*?)[;]',_lines[i],'$1:=$2',true);
  _lines[i]:=ReplaceRegExpr('(.*?)[<][-][-](.*?)[;]',_lines[i],'$1:=$2',true);

  _lines[i]:=ReplaceRegExpr('(.*?)[ ][<][-][ ](.*?)[;]',_lines[i],'$1:=$2',true);
  _lines[i]:=ReplaceRegExpr('(.*?)[ ][<][-](.*?)[;]',_lines[i],'$1:=$2',true);
  _lines[i]:=ReplaceRegExpr('(.*?)[<][-][ ](.*?)[;]',_lines[i],'$1:=$2',true);
  _lines[i]:=ReplaceRegExpr('(.*?)[<][-](.*?)[;]',_lines[i],'$1:=$2',true);}

{  _lines[i]:=ReplaceRegExpr('(.*?)[ ] [<][=][ ] (.*?)[;]',_lines[i],'$1:=$2;',true);
  _lines[i]:=ReplaceRegExpr('(.*?)[ ][<][=](.*?)[;]',_lines[i],'$1:=$2;',true);
  _lines[i]:=ReplaceRegExpr('(.*?)[<][=][ ] (.*?)[;]',_lines[i],'$1:=$2;',true);
  _lines[i]:=ReplaceRegExpr('(.*?)[<][=](.*?)[;]',_lines[i],'$1:=$2;',true);}

{  _lines[i]:=ReplaceRegExpr('(.*?)[)][ ][Ee][Tt][ ][(](.*?)',_lines[i],'$1) and ($2',true);
  _lines[i]:=ReplaceRegExpr('(.*?)[)][Ee][Tt][(](.*?)',_lines[i],'$1)and($2',true);
  _lines[i]:=ReplaceRegExpr('(.*?)[Ee][Tt][ ](.*?)',_lines[i],'$1and $2',true);
  _lines[i]:=ReplaceRegExpr('(.*?)[)][ ][Oo][Uu][ ][(](.*?)',_lines[i],'$1) or ($2',true);
  _lines[i]:=ReplaceRegExpr('(.*?)[)][Oo][Uu][(](.*?)',_lines[i],'$1)or($2',true);
  _lines[i]:=ReplaceRegExpr('(.*?)[Oo][Uu][ ](.*?)',_lines[i],'$1or $2',true);}

//  _lines[i]:=ReplaceRegExpr('[Pp][Oo][Uu][Rr][ ](.*?)',_lines[i],'pour $1',true);
  _lines[i]:=ReplaceRegExpr('[Pp][Oo][Uu][Rr](.*?)',_lines[i],'pour$1',true);

//  _lines[i]:=ReplaceRegExpr('[Tt][Aa][Nn][Tt][ ][Qq][Uu][Ee][ ](.*?)',_lines[i],'$1',true);
  _lines[i]:=ReplaceRegExpr('[Tt][Aa][Nn][Tt][ ][Qq][Uu][Ee](.*?)',_lines[i],'tant que$1',true);

//  _lines[i]:=ReplaceRegExpr('[Jj][Uu][Ss][Qq][Uu][''][Aa][ ][Cc][Ee][ ][Qq][Uu][Ee](.*?)',_lines[i],'$1',true);
  _lines[i]:=ReplaceRegExpr('[Jj][Uu][Ss][Qq][Uu][''][Aa][ ][Cc][Ee][ ][Qq][Uu][Ee][ ](.*?)',_lines[i],'justqu''$1',true);
//  _lines[i]:=ReplaceRegExpr('[Jj][Uu][Ss][Qq][Uu][''][Aa](.*?)',_lines[i],'$1',true);
  _lines[i]:=ReplaceRegExpr('[Jj][Uu][Ss][Qq][Uu][''][Aa][ ](.*?)',_lines[i],'jusqu''$1',true);
  _lines[i]:=ReplaceRegExpr('[Jj][Uu][Ss][Qq][Uu][Ee](.*?)',_lines[i],'justque$1',true);
//  _lines[i]:=ReplaceRegExpr('[Jj][Uu][Ss][Qq][Uu][Ee][ ](.*?)',_lines[i],'$1',true);

     if((pos('pour',_lines[i])>0)) then
     begin
      _lines[i]:=trim(copy(_lines[i],length('pour')+1,length(_lines[i])-length('pour')));
     end;
     if((pos('<-',_lines[i])>0) or
        //(pos('<=',_lines[i])>0) or
        (pos('<--',_lines[i])>0)) then
     begin
       if(pos('<-',_lines[i])>0) then str.Add(cleanup(trim(copy(_lines[i],1,(pos('<-',_lines[i])-1)))))
       //else if(pos('<=',_lines[i])>0) then str.Add(trim(copy(_lines[i],1,(pos('<=',_lines[i])-1))))
       else str.Add(cleanup(trim(copy(_lines[i],1,(pos('<--',_lines[i])-1)))));
     end
     else if(pos('lire',_lines[i])>0) then
     begin
      _lines[i]:=copy(_lines[i],length('lire')+1,length(_lines[i])-length('lire'));
//      str.AddStrings(extract(trim(_lines[i]),','));                           //1.24
      str.AddStrings(explode(',',trim(_lines[i])));                             //1.24
     end;
   end;
   extractVarnames:=str;
 end;


procedure Tmainform.aExportSourceCodeExecute(Sender: TObject);
var str,types,pas,param,vari:TStringlist;
    i,t:word;
    toList,laList:TObjectList;
    combo:TComboBox;
    lab:TLabel;
    l,rtext:UTF8String;
    test:boolean;

 procedure Detect_R(_node:BSubqueue; var _lines:TStringList);
 var i,j:integer;
 begin
   if(_node.children.Count>0) then
     for i:=0 to _node.children.Count-1 do
     begin
       _lines.AddStrings((_node.children[i] as BElement).text);
       if(_node.children[i] is BWhile) then Detect_R((_node.children[i] as BWhile).q,_lines)
       else if(_node.children[i] is BFor) then Detect_R((_node.children[i] as BFor).q,_lines)
       else if(_node.children[i] is BRepeat) then Detect_R((_node.children[i] as BRepeat).q,_lines)
       else if(_node.children[i] is BAlternative) then
       begin
        Detect_R((_node.children[i] as BAlternative).qTrue,_lines);
        Detect_R((_node.children[i] as BAlternative).qFalse,_lines);
       end
       else if(_node.children[i] is BCase) then
       begin
        if((_node.children[i] as BCase).qs.Count>0) then
         for j:=0 to (_node.children[i] as BCase).qs.Count-1 do
           Detect_R((_node.children[i] as BCase).qs[j] as BSubqueue,_lines);
       end;
     end;
 end;


begin
 str:=TStringList.Create;

 if(MessageDlg('For the NSD -> PAS transformation I have to auto-dectet variables.'+#13+
               'This does not work for programs using complex variable types.'+#13+
               #13+
               'Do you want to continue detecting variables?'+#13+
               #13+
               '(If you chose "No", you have to add the declarations by yourself!)'
               ,mtWarning,[mbYes,mbNo],0)=mrYes)then
 begin

  Detect_R(root.children,str);
  str:=extractVarnames(str,root.text.text);

  // parse procedure or function parametes
  // if any ...
  rtext:=trim(root.text.text);
  rText:=trim(copy(rText,pos('(',rtext)+1,pos(')',rtext)-pos('(',rtext)-1));
  if(rtext<>'')then
  begin
    param:=tstringlist.Create;
    param:=Explode(';',rtext);
    if(param.Count>0) then
      for i:=0 to param.count-1 do
      begin
        vari:=TStringlist.Create;
        vari:=Explode(',',copy(param[i],1,pos(':',param[i])-1));
        if(vari.count>0) then
          for t:=0 to vari.count-1 do
            while (str.IndexOf(vari[t])>=0) do str.Delete(str.IndexOf(vari[t]));
        vari.free;
      end;
    param.free;
  end;
  // also parse out the function name
  // if it is a function
  if(((Pos('):' ,trim(root.text.text))<>0) or
      (Pos(') :',trim(root.text.text))<>0) or
      ((Pos(':',trim(root.text.text))<>0) and
       (Pos('(',trim(root.text.text))=0))) and
     (root.isProgram=false))
  then
  begin
   rtext:=trim(root.text.text);
   l:='';
   while((rtext[1]<>':')and(rtext[1]<>'(')) do
   begin
    l:=l+rtext[1];
    delete(rtext,1,1);
   end;
   while (str.IndexOf(l)>=0) do str.Delete(str.IndexOf(l));
  end;

  // eliminate duplicated entries
  str.Sort;
  if(str.count>0) then
  begin
   i:=0;
   while(i<str.count)do
   begin
    if(i<>str.count-1) then
    begin
      if(str[i]=str[i+1]) then str.Delete(i)
      else i:=i+1;
    end else i:=i+1;
   end;
  end;
  formVariables.clientheight:=32*str.Count+48;

  types:=tstringlist.Create;
  types.CommaText:=mTypes;

  tolist:=TObjectList.Create(false);
  laList:=TObjectList.Create(false);

  // setup form
  if(str.count>0) then
  begin
    for i:=0 to str.Count-1 do
    begin
      combo:=TComboBox.Create(nil);
      formVariables.InsertControl(combo);
      combo.Left:=100;
      combo.Style:=csDropDownList;
      combo.Top:=i*31+8;
      combo.Items.text:=types.Text;
      combo.Visible:=true;
      toList.Add(combo);

      lab:=TLabel.Create(nil);
      formVariables.InsertControl(lab);
      lab.Left:=8;
      lab.Top:=combo.top;
      lab.Caption:=str[i];
      lab.Visible:=true;
      laList.Add(lab);
    end;
  end;

  // show form
  if(str.count>0) then formVariables.showmodal;
 end;

  // generate programcode here
  pas:=TStringlist.Create;
  pas:=root.getPas(0);
  test:=false;                                                                  //1.21
  if(str.count>0) then
  begin
    for t:=0 to types.count-1 do
    begin
      l:='';
      for i:=0 to str.count-1 do if((toList.Items[i] as TCombobox).Text=types[t]) then l:=l+','+str[i];
      delete(l,1,1);
      if(l<>'') then
      begin
       l:='    '+l+':'+types[t]+';';
       pas.Insert(root.comment.Count+1,l);
       test:=true;                                                              //1.21
      end;
//        pas.insert(2,'      '+str[i]+':'+(toList.Items[i] as TCombobox).Text+';');
    end;
    if(test=true) then pas.Insert(root.comment.Count+1,'var');                  //1.21
  end;

  // do replacements
  //pas.text:=ansitoutf8(pas.text);
  
  // pas.text:=StringReplace(pas.text,'','e',[rfReplaceAll]);  ==> cutted sourcecode as output
  // pas.text:=AnsiReplaceText('','e',pas.text);               ==> error
  
  pas.text:=ReplaceRegExpr(  ('[Ee][Cc][Rr][Ii][Rr][Ee][ ](.*?)[;]'),pas.text,'writeln($1);',true);
  pas.text:=ReplaceRegExpr(  ('[Ee][Cc][Rr][Ii][Rr][Ee](.*?)[;]'),pas.text,'writeln($1);',true);

  pas.text:=ReplaceRegExpr(  ('[Ll][Ii][Rr][Ee][ ](.*?)[;]'),pas.text,'readln($1);',true);
  pas.text:=ReplaceRegExpr(  ('[Ll][Ii][Rr][Ee](.*?)[;]'),pas.text,'readln($1);',true);

  pas.text:=ReplaceRegExpr(  ('(.*?)[ ][][ ](.*?)'),pas.text,'$1 to $2',true);

  pas.text:=ReplaceRegExpr(  ('(.*?)[ ][<][-][-](.*?)[;]'),pas.text,'$1:=$2;',true);
  pas.text:=ReplaceRegExpr(  ('(.*?)[<][-][-][ ](.*?)[;]'),pas.text,'$1:=$2;',true);
  pas.text:=ReplaceRegExpr(  ('(.*?)[ ] [<][-][-][ ](.*?)[;]'),pas.text,'$1:=$2;',true);
  pas.text:=ReplaceRegExpr(  ('(.*?)[<][-][-](.*?)[;]'),pas.text,'$1:=$2;',true);

  pas.text:=ReplaceRegExpr(  ('(.*?)[ ][<][-][ ](.*?)[;]'),pas.text,'$1:=$2;',true);
  pas.text:=ReplaceRegExpr(  ('(.*?)[ ][<][-](.*?)[;]'),pas.text,'$1:=$2;',true);
  pas.text:=ReplaceRegExpr(  ('(.*?)[<][-][ ](.*?)[;]'),pas.text,'$1:=$2;',true);
  pas.text:=ReplaceRegExpr(  ('(.*?)[<][-](.*?)[;]'),pas.text,'$1:=$2;',true);

{  pas.text:=ReplaceRegExpr('(.*?)[ ] [<][=][ ] (.*?)[;]',pas.text,'$1:=$2;',true);
  pas.text:=ReplaceRegExpr('(.*?)[ ][<][=](.*?)[;]',pas.text,'$1:=$2;',true);
  pas.text:=ReplaceRegExpr('(.*?)[<][=][ ] (.*?)[;]',pas.text,'$1:=$2;',true);
  pas.text:=ReplaceRegExpr('(.*?)[<][=](.*?)[;]',pas.text,'$1:=$2;',true);}

  pas.text:=ReplaceRegExpr(  ('(.*?)[)][ ][Ee][Tt][ ][(](.*?)'),pas.text,'$1) and ($2',true);
  pas.text:=ReplaceRegExpr(  ('(.*?)[)][Ee][Tt][(](.*?)'),pas.text,'$1)and($2',true);
  pas.text:=ReplaceRegExpr(  ('(.*?)[Ee][Tt][ ](.*?)'),pas.text,'$1and $2',true);
  pas.text:=ReplaceRegExpr(  ('(.*?)[)][ ][Oo][Uu][ ][(](.*?)'),pas.text,'$1) or ($2',true);
  pas.text:=ReplaceRegExpr(  ('(.*?)[)][Oo][Uu][(](.*?)'),pas.text,'$1)or($2',true);
  pas.text:=ReplaceRegExpr(  ('(.*?)[Oo][Uu][ ](.*?)'),pas.text,'$1or $2',true);

  pas.text:=ReplaceRegExpr(  ('[Pp][Oo][Uu][Rr][ ](.*?)'),pas.text,'$1',true);
  pas.text:=ReplaceRegExpr(  ('[Pp][Oo][Uu][Rr](.*?)'),pas.text,'$1',true);

  pas.text:=ReplaceRegExpr(  ('[Tt][Aa][Nn][Tt][ ][Qq][Uu][Ee][ ](.*?)'),pas.text,'$1',true);
  pas.text:=ReplaceRegExpr(  ('[Tt][Aa][Nn][Tt][ ][Qq][Uu][Ee](.*?)'),pas.text,'$1',true);

  pas.text:=ReplaceRegExpr(  ('[Jj][Uu][Ss][Qq][Uu][''][Aa][ ][Cc][Ee][ ][Qq][Uu][Ee](.*?)'),pas.text,'$1',true);
  pas.text:=ReplaceRegExpr(  ('[Jj][Uu][Ss][Qq][Uu][''][Aa][ ][Cc][Ee][ ][Qq][Uu][Ee][ ](.*?)'),pas.text,'$1',true);
  pas.text:=ReplaceRegExpr(  ('[Jj][Uu][Ss][Qq][Uu][''][Aa](.*?)'),pas.text,'$1',true);
  pas.text:=ReplaceRegExpr(  ('[Jj][Uu][Ss][Qq][Uu][''][Aa][ ](.*?)'),pas.text,'$1',true);
  pas.text:=ReplaceRegExpr(  ('[Jj][Uu][Ss][Qq][Uu][Ee](.*?)'),pas.text,'$1',true);
  pas.text:=ReplaceRegExpr(  ('[Jj][Uu][Ss][Qq][Uu][Ee][ ](.*?)'),pas.text,'$1',true);
  //pas.text:=ansitoutf8(pas.text);


  formSource.source.text:=pas.text;
  formSource.btnCancel.Visible:=False;
  //clipboard.AsText:=formSource.Source.Text;
  formSource.ShowModal;
  formSource.btnCancel.Visible:=true;

  // free Lists
  if(str.count>0) then
  begin
    while(toList.Count>0)do begin
      combo:=toList.Items[0] as TComboBox;
      toList.Remove(combo);
      combo.free;
    end;
    while(laList.Count>0)do begin
      lab:=laList.Items[0] as TLabel;
      laList.Remove(lab);
      lab.free;
    end;
  end;

  pas.Free;
  laList.free;
  toList.Free;
  types.free;
  str.free;
end;


procedure Tmainform.aWhiteExecute(Sender: TObject);
begin
  if(bSelected<>nil) then
  begin
   addUndo;
   bSelected.setChildrenColor(clWhite);
  end;
  root.Draw(image);
end;

procedure Tmainform.aRedExecute(Sender: TObject);
begin
  if(bSelected<>nil) then
  begin
   addUndo;
   bSelected.setChildrenColor($008080FF);
  end;
  root.Draw(image);
end;

procedure Tmainform.aOrangeExecute(Sender: TObject);
begin
  if(bSelected<>nil) then
  begin
   addUndo;
   bSelected.setChildrenColor($0075BAFF);
  end;
  root.Draw(image);
end;

procedure Tmainform.aGreenExecute(Sender: TObject);
begin
  if(bSelected<>nil) then
  begin
   addUndo;
   bSelected.setChildrenColor($0080FF80);
  end;
  root.Draw(image);
end;

procedure Tmainform.aGrayExecute(Sender: TObject);
begin
  if(bSelected<>nil) then
  begin
   addUndo;
   bSelected.setChildrenColor(clGray);
  end;
  root.Draw(image);
end;

procedure Tmainform.aBlueExecute(Sender: TObject);
begin
  if(bSelected<>nil) then
  begin
   addUndo;
   bSelected.setChildrenColor($00FF8A8A);
  end;
  root.Draw(image);
end;

procedure Tmainform.aRoseExecute(Sender: TObject);
begin
  if(bSelected<>nil) then
  begin
   addUndo;
   bSelected.setChildrenColor($00FF80FF);
  end;
  root.Draw(image);
end;

procedure Tmainform.aExportPictureExecute(Sender: TObject);
begin

 savePicMac.FileName:=copy(ExtractFileName(Save.FileName),1,
                          length(ExtractFileName(Save.FileName))-
                          length(ExtractFileExt(save.filename)));
 if(savePicMac.Execute=true) then image.Picture.graphic.SaveToFile(savePicMac.FileName);

// LAZ
(*
 savePic.FileName:=copy(ExtractFileName(Save.FileName),1,
                        length(ExtractFileName(Save.FileName))-
                        length(ExtractFileExt(save.filename)));
 if(savePic.Execute=true) then image.Picture.graphic.SaveToFile(savePic.FileName);
*)
end;

procedure Tmainform.aFontUpExecute(Sender: TObject);
begin
  if(image.Canvas.Font.Size<100)then                                            // 1.24
  begin                                                                         // 1.24
    image.Canvas.Font.Size:=image.Canvas.Font.Size+1;
    root.Draw(image);
  end;                                                                          // 1.24
end;

procedure Tmainform.aFontDownExecute(Sender: TObject);
begin
  if(image.Canvas.Font.Size>2)then                                              // 1.24
  begin                                                                         // 1.24
   image.Canvas.Font.Size:=image.Canvas.Font.Size-1;
    root.Draw(image);
  end;                                                                          // 1.24
end;

procedure Tmainform.aImportRealTimeExecute(Sender: TObject);
begin
 if(mImport.Visible=true) then
 begin
  panelRealTime.Align:=alRight;
  Splitter1.Visible:=not(Splitter1.Visible);
  panelRealTime.Visible:=not(panelRealTime.Visible);
 end;
end;

procedure Tmainform.aImportSourceExecute(Sender: TObject);
var str:tstringlist;
begin
 if(mImport.Visible=true) then
 if(OpenSource.Execute=true) then
 begin
  alertMessage:=true;
  str:=TStringlist.Create;
  // load file
  str.LoadFromFile(OpenSource.FileName);
  codesource.Text:=str.text;
  formSource.source.Text:=str.Text;
  // convert "strange" symbols (that the parser does not understand!
  ParseInputText(str.Text);
  str.free;
 end;
end;

procedure Tmainform.aImportTextExecute(Sender: TObject);
var s:UTF8String;
    rep:boolean;
begin
if(mImport.Visible=true) then
begin
alertMessage:=true;
rep:=true;
while(rep=true)do
begin
 rep:=false;
 if(formSource.showmodal=mrOK)then
 begin
   s:=utf8toansi(formSource.source.lines.text);
   if(copy(s,1,length('program'))='program') then ParseInputText(s)
   else if(copy(s,1,length('procedure'))='procedure') then
   begin
     s:='program none;'+#13+s+#13+'begin'+#13+'end.';
     ParseInputText(s);
     root.isProgram:=false;
     root.Draw(image);
   end
   else if(copy(s,1,length('function'))='function') then
   begin
     s:='program none;'+#13+s+#13+'begin'+#13+'end.';
     ParseInputText(s);
     root.isProgram:=false;
     root.Draw(image);
   end
   else
   begin
    s:='program none;'+#13+'begin'+#13+s+'end.';
    ParseInputText(s);
    root.text.Text:='???';
    root.Draw(image);
   end;
 end;
end;
end;
end;

procedure Tmainform.aUndoExecute(Sender: TObject);
begin
  if(UndoList.Count>0) then
  begin
    ROOT.changed:=true;
    RedoList.Add(root.getACopyOf);
    root.free;
    root:=(undoList.items[undoList.count-1] as BRoot);
    UndoList.Delete(undoList.count-1);
    //root.selectedElement:=nil;                                                  // 1.26
    root.Draw(image);
    doBouttons;                                                                 // 1.26
  end;
  if(RedoList.Count>0) then aRedo.Enabled:=true
  else aRedo.Enabled:=false;
  if(UndoList.Count>0) then aUndo.Enabled:=true
  else aUndo.Enabled:=false;
end;

procedure Tmainform.aRedoExecute(Sender: TObject);
begin
  if(RedoList.count>0) then
  begin
   ROOT.changed:=true;
   UndoList.Add(root.getACopyOf);
   root.free;
   root:=(RedoList.items[RedoList.count-1] as BRoot);
   RedoList.Delete(RedoList.count-1);
   //root.selectedElement:=nil;                                                   // 1.26
   root.Draw(image);
   doBouttons;                                                                  // 1.26
  end;
  if(RedoList.Count>0) then aRedo.Enabled:=true
  else aRedo.Enabled:=false;
  if(UndoList.Count>0) then aUndo.Enabled:=true
  else aUndo.Enabled:=false;
end;

procedure Tmainform.scrollBoxMouseWheel(Sender: TObject;
  Shift: TShiftState; WheelDelta: Integer; MousePos: TPoint;
  var Handled: Boolean);
begin
 //scrollBox.ScrollBy(0,WheelDelta);
end;

procedure Tmainform.timerAnalyserTimer(Sender: TObject);
var str,bodyVars,expressionVars,init:TStringlist;
    elems:TObjectList;
    error:BError;
    i,b,e:longint;
    loopVar:UTF8String;
    tli:TListItem;
    found:boolean;

 procedure GetWhileRepeatLoops(_node:BSubqueue; var _fors:TObjectList);
 var i,j:integer;
 begin
   if(_node.children.Count>0) then
     for i:=0 to _node.children.Count-1 do
     begin
       if(_node.children[i] is BWhile) then _fors.Add(_node.children[i]);
       if(_node.children[i] is BRepeat) then _fors.Add(_node.children[i]);

       if(_node.children[i] is BWhile) then GetWhileRepeatLoops((_node.children[i] as BWhile).q,_fors)
       else if(_node.children[i] is BFor) then GetWhileRepeatLoops((_node.children[i] as BFor).q,_fors)
       else if(_node.children[i] is BRepeat) then GetWhileRepeatLoops((_node.children[i] as BRepeat).q,_fors)
       else if(_node.children[i] is BAlternative) then
       begin
        GetWhileRepeatLoops((_node.children[i] as BAlternative).qTrue,_fors);
        GetWhileRepeatLoops((_node.children[i] as BAlternative).qFalse,_fors);
       end
       else if(_node.children[i] is BCase) then
       begin
        if((_node.children[i] as BCase).qs.Count>0) then
         for j:=0 to (_node.children[i] as BCase).qs.Count-1 do
           GetWhileRepeatLoops((_node.children[i] as BCase).qs[j] as BSubqueue,_fors);
       end;
     end;
 end;

 procedure GetForLoops(_node:BSubqueue; var _fors:TObjectList);
 var i,j:integer;
 begin
   if(_node.children.Count>0) then
     for i:=0 to _node.children.Count-1 do
     begin
       if(_node.children[i] is BFor) then _fors.Add(_node.children[i]);

       if(_node.children[i] is BWhile) then GetForLoops((_node.children[i] as BWhile).q,_fors)
       else if(_node.children[i] is BFor) then GetForLoops((_node.children[i] as BFor).q,_fors)
       else if(_node.children[i] is BRepeat) then GetForLoops((_node.children[i] as BRepeat).q,_fors)
       else if(_node.children[i] is BAlternative) then
       begin
        GetForLoops((_node.children[i] as BAlternative).qTrue,_fors);
        GetForLoops((_node.children[i] as BAlternative).qFalse,_fors);
       end
       else if(_node.children[i] is BCase) then
       begin
        if((_node.children[i] as BCase).qs.Count>0) then
         for j:=0 to (_node.children[i] as BCase).qs.Count-1 do
           GetForLoops((_node.children[i] as BCase).qs[j] as BSubqueue,_fors);
       end;
     end;
 end;

 procedure GetContent(_node:BSubqueue; var _lines:TStringList);
 var i,j:integer;
 begin
   if(_node.children.Count>0) then
     for i:=0 to _node.children.Count-1 do
     begin
       _lines.AddStrings((_node.children[i] as BElement).text);
       if(_node.children[i] is BWhile) then GetContent((_node.children[i] as BWhile).q,_lines)
       else if(_node.children[i] is BFor) then GetContent((_node.children[i] as BFor).q,_lines)
       else if(_node.children[i] is BRepeat) then GetContent((_node.children[i] as BRepeat).q,_lines)
       else if(_node.children[i] is BAlternative) then
       begin
        GetContent((_node.children[i] as BAlternative).qTrue,_lines);
        GetContent((_node.children[i] as BAlternative).qFalse,_lines);
       end
       else if(_node.children[i] is BCase) then
       begin
        if((_node.children[i] as BCase).qs.Count>0) then
         for j:=0 to (_node.children[i] as BCase).qs.Count-1 do
           GetContent((_node.children[i] as BCase).qs[j] as BSubqueue,_lines);
       end;
     end;
 end;

                                                  (* ANA; _elem:BElement*)
 function analyseListContains(_caption:UTF8String): boolean;
 var i:longint;
 begin
  result:=False;
  if(analysePoints.items.count>0) then
    for i:=0 to analysePoints.items.Count-1 do
      result:=result or (
                         (analysePoints.Items[i]=_caption)
                         //ANA and
                         //ANA (BElement(analysePoints.Items[i].data)=_elem)
                         );
 end;

 procedure GetAndCheckNonInititalizedVariables(_node:BSubqueue; var _inits:TStringlist);
 var i,j:integer;
     used,expressionVars:TStringlist;
     s:UTF8String;
 begin
//  debug.items.Add(_inits.CommaText);
//  debug.ItemIndex:=debug.Items.count-1;
   expressionVars:=TStringlist.Create;
   if(_node.children.Count>0) then
   begin
     for i:=0 to _node.children.Count-1 do
     begin
       used:=TStringlist.create;

       // This is for Check 5
       expressionVars.clear;
       expressionVars:=ParseOutVariableNames((_node.children[i] as BElement).text.text,'Expression.cgt');
       // This is for Check 9
       s:=trim(root.f_text.Text);
       if(pos('(',s)>0) then s:=trim(copy(s,1,pos('(',s)-1));
       if(pos('[',s)>0) then s:=trim(copy(s,1,pos('[',s)-1));
       if(pos(':',s)>0) then s:=trim(copy(s,1,pos(':',s)-1));

       if(expressionVars.count>0) then
         for j:=0 to expressionVars.Count-1 do
           if(expressionVars[j]<>'false')and(expressionVars[j]<>'true')then
           begin
             // Check 5
             if(frmAnalyser.chkUpperCaseIdentifiers.Checked=true) then
             begin
               if(AnsiUpperCase(expressionVars[j])<>'ELSE') then
               if(expressionVars[j]<>AnsiUpperCase(expressionVars[j])) then
               begin
                   errorList.add((_node.children[i] as BElement),'Le nom de la variable '+expressionVars[j]+' n''est pas crit en majuscules!');
               end;
             end;

             // Check 9
             if(frmAnalyser.chkProgramnameIndificer.Checked=true) then
             begin
               if(LowerCase(s)=lowercase(expressionVars[j])) then
               begin
                   errorList.add((_node.children[i] as BElement),'Il n''est pas possible que le nom d''une variable soit identique au nom du programme ('+expressionVars[j]+').');
               end;
             end;

           end;

       // This is Check 4
       if(frmAnalyser.chkEmptyTrue.Checked=true)then
       begin
        if(_node.children[i] is BAlternative)
        then if ((_node.children[i] as BAlternative).qTrue.children.Count=0) then
             begin
               errorList.add((_node.children[i] as BElement),'Il est interdit d''utiliser une structure alternative dont la partie vraie est vide!');
             end;
       end;

       // This is Check 8
       if(frmAnalyser.chkIfAffectations.Checked=true)then
       begin
        if(
            (_node.children[i] is BAlternative)or
            (_node.children[i] is BWhile)or
            (_node.children[i] is BRepeat)or
            (_node.children[i] is BCase)
           )
        then if ((pos('<-',(_node.children[i] as BElement).text.text)>0)or(pos('<--',(_node.children[i] as BElement).text.text)>0)) then
             begin
               errorList.add((_node.children[i] as BElement),'Il n''est pas possible de faire une affectation dans un test!');
             end;
(*
        if(_node.children[i] is BAlternative)
        then if ((pos('<-',(_node.children[i] as BAlternative).text.text)>0)or(pos('<--',(_node.children[i] as BAlternative).text.text)>0)) then
             begin
               error:=BError.Create((_node.children[i] as BElement),'Il n''est pas possible de faire une affectation dans un test!');
               errorList.Add(error);
             end;
        if(_node.children[i] is BWhile)
        then if ((pos('<-',(_node.children[i] as BWhile).text.text)>0)or(pos('<--',(_node.children[i] as BWhile).text.text)>0)) then
             begin
               error:=BError.Create((_node.children[i] as BElement),'Il n''est pas possible de faire une affectation dans un test!');
               errorList.Add(error);
             end;
        if(_node.children[i] is BRepeat)
        then if ((pos('<-',(_node.children[i] as BRepeat).text.text)>0)or(pos('<--',(_node.children[i] as BRepeat).text.text)>0)) then
             begin
               error:=BError.Create((_node.children[i] as BElement),'Il n''est pas possible de faire une affectation dans un test!');
               errorList.Add(error);
             end;
        if(_node.children[i] is BCase)
        then if ((pos('<-',(_node.children[i] as BCase).text.text)>0)or(pos('<--',(_node.children[i] as BCase).text.text)>0)) then
             begin
               error:=BError.Create((_node.children[i] as BElement),'Il n''est pas possible de faire une affectation dans un test!');
               errorList.Add(error);
             end;
*)
       end;

       // This is Check 3
       if(frmAnalyser.chkNonInitializedVariables.Checked=true)then
       begin
        if(
           (_node.children[i] is BWhile) or
           //(_node.children[i] is BRepeat) or
           (_node.children[i] is BAlternative)
           )
        then used:=ParseOutVariableNames((_node.children[i] as BElement).text.text,'Expression.cgt')
        else if (_node.children[i] is BFor) then
        begin
          s:=(_node.children[i] as BElement).text.text;
          if(pos('<--',s)>0) then s:=ReplaceRegExpr('(.*?)[<--](.*?)',s,'$2',true)
          else s:=ReplaceRegExpr('(.*?)[<-](.*?)',s,'$2',true);
          used:=ParseOutVariableNames(s,'Expression.cgt');
        end
        else used:=ParseOutVariableNames((_node.children[i] as BElement).text.text,'UsedVars.cgt');

        for j:=0 to used.count-1 do
        begin
          if(used[j]<>'false')and(used[j]<>'true')then
          begin
            if(_inits.IndexOf(used[j])<0) then
            begin
             errorList.add((_node.children[i] as BElement),'La variable '+used[j]+' n''a pas t inititialise!');
            end;
          end;
        end;

        used.clear;
        str.text:=(_node.children[i] as BElement).text.text;
        used:=extractVarnames(str,root.text.text);

        for j:=0 to used.count-1 do
        begin
          if(_inits.IndexOf(used[j])<0) then
          begin
           _inits.Add(used[j]);
//  debug.items.Add('>'+used[j]+'<');
//  debug.ItemIndex:=debug.Items.count-1;
          end;
        end;
        used.free;
       end;

       if(_node.children[i] is BWhile) then GetAndCheckNonInititalizedVariables((_node.children[i] as BWhile).q,_inits)
       else if(_node.children[i] is BFor) then GetAndCheckNonInititalizedVariables((_node.children[i] as BFor).q,_inits)
       else if(_node.children[i] is BRepeat) then GetAndCheckNonInititalizedVariables((_node.children[i] as BRepeat).q,_inits)
       else if(_node.children[i] is BAlternative) then
       begin
        GetAndCheckNonInititalizedVariables((_node.children[i] as BAlternative).qTrue,_inits);
        GetAndCheckNonInititalizedVariables((_node.children[i] as BAlternative).qFalse,_inits);
       end
       else if(_node.children[i] is BCase) then
       begin
        if((_node.children[i] as BCase).qs.Count>0) then
         for j:=0 to (_node.children[i] as BCase).qs.Count-1 do
           GetAndCheckNonInititalizedVariables((_node.children[i] as BCase).qs[j] as BSubqueue,_inits);
       end;
     end;
   end;
   expressionVars.free;
 end;   {}

 procedure GetAndCheckCorrectVariables(_node:BSubqueue);
 var i,j:integer;
     varis:TStringlist;
 begin
   if(_node.children.Count>0) then
     for i:=0 to _node.children.Count-1 do
     begin
       if(not(
                (_node.children[i] is BWhile) or
                (_node.children[i] is BRepeat)
             )
         ) then
       begin
        varis:=TStringlist.create;
        varis.text:=(_node.children[i] as BElement).text.text;
        varis:=extractVarnames(varis,root.text.text);
        if (varis.count>0) then
          for j:=0 to varis.count-1 do
          begin
            if (testIdentifier(varis[j])=false) then
            begin
              errorList.add((_node.children[i] as BElement),''+varis[j]+' n''est pas un nom correct pour une variable!');
            end;
          end;
        varis.free;
       end;

       if(_node.children[i] is BWhile) then GetAndCheckCorrectVariables((_node.children[i] as BWhile).q)
       else if(_node.children[i] is BFor) then GetAndCheckCorrectVariables((_node.children[i] as BFor).q)
       else if(_node.children[i] is BRepeat) then GetAndCheckCorrectVariables((_node.children[i] as BRepeat).q)
       else if(_node.children[i] is BAlternative) then
       begin
        GetAndCheckCorrectVariables((_node.children[i] as BAlternative).qTrue);
        GetAndCheckCorrectVariables((_node.children[i] as BAlternative).qFalse);
       end
       else if(_node.children[i] is BCase) then
       begin
        if((_node.children[i] as BCase).qs.Count>0) then
         for j:=0 to (_node.children[i] as BCase).qs.Count-1 do
           GetAndCheckCorrectVariables((_node.children[i] as BCase).qs[j] as BSubqueue);
       end;
     end;
 end;

begin
 try
 {$IfDef ANALYSER}
  analysePoints.Clear;
  str:=TStringlist.create;
  elems:=TObjectList.create(false);
  errorList.clear;

  // Check 1  (control variable mismatch)
  // -------
  // For all FOR-loops, check that the
  // counter variable is not modified
  // inside the body.
  if(frmAnalyser.chkModifiedLoopVariable.Checked=true)then
  begin
   GetForLoops(root.children,elems);
   while(elems.count>0)do
   begin
     str.clear;
     str.text:=(elems.Items[0] as BFor).text.text;
     loopVar:=extractVarnames(str,root.text.text)[0];
     str.Clear;
     GetContent((elems.Items[0] as BFor).q,str);
     bodyVars:=extractVarnames(str,root.text.text);
     if(bodyVars.IndexOf(loopVar)>=0) then
     begin
       errorList.add((elems.Items[0] as BFor),'Tu n''as pas le droit de modifier la varible compteur '+loopVar+' de la boucle!');
     end;
     elems.Delete(0);
   end;
  end;
  // End of check 1

  // Check 2  (infinite loop)
  // -------
  // For all WHILE- and REPEAT-loops,
  // detect expression variables an
  // test if at leat one of them changes
  // in the body
  if(frmAnalyser.chkInfiniteLoop.Checked=true)then
  begin
   GetWhileRepeatLoops(root.children,elems);
   while(elems.count>0)do
   begin
     expressionVars:=ParseOutVariableNames((elems.items[0] as BElement).text.text,'Expression.cgt');
     str.Clear;
     if(elems.Items[0] is BWhile) then GetContent((elems.Items[0] as BWhile).q,str)
     else GetContent((elems.Items[0] as BRepeat).q,str);
     bodyVars:=extractVarnames(str,root.text.text);
     found:=false;

     for e:=0 to expressionVars.Count-1 do
       for b:=0 to bodyVars.count-1 do
        if(expressionVars[e]=bodyVars[b]) then found:=true;

     if(found=false) then
     begin
       errorList.add((elems.Items[0] as BElement),'La condition de cette structure de rptition ne change jamais => boucle infinie!');
     end;

     elems.Delete(0);
   end;
  end;
  // End of check 2

  // Check 3  (non initialized variables)
  // -------
  // Step through the program an each time
  // a variable get's accessed, test if it
  // allready got a value somewhere!
  init:=TStringlist.create;
  GetAndCheckNonInititalizedVariables(root.children,init);
  init.free;
  // End of check 3

  // Check 4  (empty TRUE-block of an IF)
  // -------
  // Step through the program an each time
  // a IF is found where the TRUE-part is
  // empty => error
  // ... implemented inside Check 3 !!!
  // End of check 4

  // Check 5
  // -------
  // Step through the program an each time
  // a variable name is found, check if it
  // is upperacase
  // ... implemented inside Check 3 !!!
  // End of check 5

  // Check 6
  // -------
  // Check for Programuppercasename
  if(frmAnalyser.chkProgramName.Checked=true)then
  begin
           if(root.text.text<>AnsiUpperCase(root.text.text)) then
           begin
               errorList.add(root,'Le nom du programme n''est pas crit en majuscules!');
           end;
  end;
  // End of check 6

  // Check 7
  // -------
  // Check for consistent Identifiers (variable, program)
  // IsMatch('[a-zA-Z_][a-zA-Z0-9_]*',edit1.Text)
  GetAndCheckCorrectVariables(root.children);
  // End of check 7

  // Check 8  (assignation in an IF, WHILE, REPEAT, CASE)
  // -------
  // Step through the program an each time
  // a IF is found an assignation is made => error
  // ... implemented inside Check 3 !!!
  // End of check 8

  // Check 9  (variable with programname)
  // -------
  // Step through the program an each time
  // a variable name is found, check that it is
  // not the same as the program name
  // ... implemented inside Check 3 !!!
  // End of check 9

  //debug.items.Add(inttostr(errorlist.Count));
  //debug.ItemIndex:=debug.Items.count-1;

  // Setup analyse points
  (*
  if(analysePoints.Items.Count>0)then
    for i:=analysePoints.Items.Count-1 downto 0 do
     if(errorList.containsError(analysePoints.Items[i])=false) then
                              //ANA BElement(analysePoints.Items[i].Data) then
     begin
       //analysePoints.Items[i].free;
     end;
  *)
  if(errorList.Count>0) then
    for i:=0 to errorList.Count-1 do
      if(analyseListContains(errorList.get(i).error
      //,
                                 //(errorList.Items[i] as BError).element
                                 )=false) then
      begin
        analysePoints.Items.Add(errorList.get(i).error);
(*
        tli:=analysePoints.Items.add;
        tli.ImageIndex:=3;
        tli.caption:=(errorList.Items[i] as BError).error;
        tli.data:=(errorList.Items[i] as BError).element;
*)
      end;
//  analysePoints.ViewStyle:=vsSmallIcon;
//  analysePoints.ViewStyle:=vsList;

  elems.free;
  str.free;
 {$EndIf}
 except
   on e: Exception do showmessage(e.message);
 end;
end;

procedure Tmainform.analysePointsClick(Sender: TObject);
begin
  //if(analysePoints.Selected<>nil) then
  if(analysePoints.itemindex>=0) then
  begin

    if(root.selectedElement<>nil) then root.selectedElement.selected:=false;
    root.selectedElement:=errorlist.get(analysePoints.itemindex).element;
    if(root.selectedElement<>nil) then root.selectedElement.selected:=true;
    root.Draw(image);
  end;
end;

procedure Tmainform.mAnalyserClick(Sender: TObject);
begin
 frmAnalyser.ShowModal;
{$IfDef ANALYSER}
 //timerAnalyser.Enabled:=frmAnalyser.chkEnabled.checked;
 analysePoints.Visible:=frmAnalyser.chkEnabled.checked;
 analyseSplitter.Visible:=frmAnalyser.chkEnabled.checked;
{$EndIf}
end;

procedure Tmainform.tmColorizerTimer(Sender: TObject);
var str,other:tstringlist;
    i,max,maxi:integer;
    lab:TLabel;
    obj:TObject;

 procedure Detect_R(_node:BSubqueue; var _lines:TStringList);
 var i,j:integer;
 begin
   if(_node.children.Count>0) then
     for i:=0 to _node.children.Count-1 do
     begin
       _lines.AddStrings((_node.children[i] as BElement).text);
       if(_node.children[i] is BWhile) then Detect_R((_node.children[i] as BWhile).q,_lines)
       else if(_node.children[i] is BFor) then Detect_R((_node.children[i] as BFor).q,_lines)
       else if(_node.children[i] is BRepeat) then Detect_R((_node.children[i] as BRepeat).q,_lines)
       else if(_node.children[i] is BAlternative) then
       begin
        Detect_R((_node.children[i] as BAlternative).qTrue,_lines);
        Detect_R((_node.children[i] as BAlternative).qFalse,_lines);
       end
       else if(_node.children[i] is BCase) then
       begin
        if((_node.children[i] as BCase).qs.Count>0) then
         for j:=0 to (_node.children[i] as BCase).qs.Count-1 do
           Detect_R((_node.children[i] as BCase).qs[j] as BSubqueue,_lines);
       end;
     end;
 end;

begin
  str:=TStringList.Create;
  Detect_R(root.children,str);
  str:=extractVarnames(str,root.text.text);

  // eliminate duplicated entries
  str.Sort;
  if(str.count>0) then
  begin
   i:=0;
   while(i<str.count)do
   begin
    if(i<>str.count-1) then
    begin
      if(str[i]=str[i+1]) then str.Delete(i)
      else i:=i+1;
    end else i:=i+1;
   end;
  end;

  // sort by length
  other:=TStringList.Create;
  other.text:=str.text;
  str.clear;
  while(other.count<>0) do
  begin
    max:=0;
    maxi:=0;
    for i:=0 to other.Count-1 do
      if(length(other[i])>max) then
      begin
        maxi:=i;
        max:=length(other[i]);
      end;
    str.add(other[maxi]);
    other.Delete(maxi);
  end;
  other.free;

  frmcolors.clientheight:=32*str.Count+48;

  vars.clear;
  colors.Clear;
  while(colorList.Count>0) do
  begin
    obj:=colorList.Items[0];
    colorList.Remove(obj);
    vars.Add((obj as TLabel).Caption);
    colors.Add(Rev(Inttohex((obj as TLabel).font.Color,6)));
    obj.free;
  end;

  if(tmColorizer.tag=1)then
  begin
    tmColorizer.Tag:=0;
    ReBuild;
  end;

  // setup form
  if(str.count>0) then
  begin
    for i:=0 to str.Count-1 do
    begin
      lab:=TLabel.Create(nil);
      frmColors.InsertControl(lab);
      lab.Left:=8;
      lab.Top:=i*31+8;
      lab.Caption:=str[i];
      lab.Visible:=true;
      lab.font.Style:=[fsBold];
      lab.OnClick:=@frmColors.lblColorClick;
      if(vars.IndexOf(str[i])>=0) then lab.font.color:=StrtoInt('$'+Rev(colors[vars.IndexOf(str[i])]));
      colorList.Add(lab);
    end;
  end;

  str.free;

end;

procedure Tmainform.mVariableColorizerClick(Sender: TObject);
begin
  frmColors.left:=self.Left-frmColors.Width;
  frmcolors.top:=self.Top;
  frmColors.show;
end;

procedure Tmainform.scrollBoxClick(Sender: TObject);
begin
  root.SelectElementByCoord(0,0);
  root.Draw(Image);
  doBouttons;
end;

procedure Tmainform.scrollBoxMouseWheelDown(Sender: TObject;
  Shift: TShiftState; MousePos: TPoint; var Handled: Boolean);
begin
 comment.Visible:=false;
end;

procedure Tmainform.mCommentsClick(Sender: TObject);
begin
 mComments.Checked:=not(mComments.Checked);
 //drawComments:=mComments.Checked;                                             // 1.25
 NSDUtils.flagDrawComments:=mComments.Checked;                                  // 1.25
 if(NSDUtils.flagDrawComments=false) then comment.Visible:=false;
 root.Draw(image);
end;

procedure Tmainform.aNotNiceExecute(Sender: TObject);
begin
 addUndo;
 root.isNice:=not(root.isNice);
 root.Draw(Image);
end;

procedure Tmainform.aPrintExecute(Sender: TObject);
var rec,drect:TRect;
begin
 //frmPrint.makeIt;
 //frmPrint.ShowModal;
 if(printDialog.execute) then
 begin
   printer.begindoc;
   rec.top:=50;
   rec.left:=50;
   rec.right:=printer.PageWidth-50;
   rec.bottom:=printer.PageHeight-50;
   //printer.canvas.Draw(50,50,image.picture.bitmap);
   printer.canvas.StretchDraw(drect,image.picture.bitmap);
   printer.enddoc;
 end;
end;

procedure Tmainform.aCopyExecute(Sender: TObject);
var I:integer;
begin
 if(root.selectedElement<>nil) then
 begin
   if( not(root.selectedElement is BSubqueue)
       and
       not(root.selectedElement is BRoot)) then
   begin
     {$IFDEF MDI}                                                               // 1.26
     if(application.MainForm.MDIChildCount>0) then                              // 1.26
       for I:=0 to application.MainForm.MDIChildCount-1 do                      // 1.26
       begin                                                                    // 1.26
         (application.MainForm.MDIChildren[I] as TMainform).eCopy:=root.selectedElement.getACopyOf;// 1.26
       end;                                                                     // 1.26
     {$ENDIF}                                                                   // 1.26
     eCopy:=root.selectedElement.getACopyOf;
     aPaste.Enabled:=true;
     //LAZ Clipboard.SetTextBuf(pChar(root.selectedElement.getXML));               // V1.23
   end;
 end;
end;

procedure Tmainform.aPasteExecute(Sender: TObject);
var mElement:BElement;
begin
 if(eCopy<>nil) then
 if(root.selectedElement<>nil) then
 begin
  mElement:=eCopy.getACopyOf;
  root.addAfterSelected(mElement);
  mElement:=nil;
  root.Draw(Image);
 end;
end;

procedure Tmainform.aCutExecute(Sender: TObject);
begin
 if(root.selectedElement<>nil) then
 begin
   if( not(root.selectedElement is BSubqueue)
       and
       not(root.selectedElement is BRoot)) then
   begin
     {$IFDEF MDI}                                                               // 1.26
     if(application.MainForm.MDIChildCount>0) then                              // 1.26
       for I:=0 to application.MainForm.MDIChildCount-1 do                      // 1.26
       begin                                                                    // 1.26
         (application.MainForm.MDIChildren[I] as TMainform).eCopy:=root.selectedElement.getACopyOf;// 1.26
       end;                                                                     // 1.26
     {$ENDIF}                                                                   // 1.26
     eCopy:=root.selectedElement.getACopyOf;
     aPaste.Enabled:=true;
     //LAZ Clipboard.SetTextBuf(pChar(root.selectedElement.getXML));               // V1.23, 1.25
     root.removeSelectedElement;
     root.Draw(image);
   end;
 end;
end;

procedure Tmainform.aToogleColorizerExecute(Sender: TObject);
begin
// if(frmColors.chkColorizer.checked=false) then mainform.tmColorizerTimer(sender);
 frmColors.chkColorizer.checked:=not(frmColors.chkColorizer.checked);
 root.Draw(image);
end;

procedure Tmainform.mEnglishClick(Sender: TObject);
begin
 setLang('uk');
end;

procedure Tmainform.mGermanClick(Sender: TObject);
begin
 setLang('de');
end;

procedure Tmainform.mFrenchClick(Sender: TObject);
begin
 setLang('fr');
end;

procedure Tmainform.tmStarterTimer(Sender: TObject);
var inif:TIniFile;
    liar,mutt:utf8string;
    i:integer;
begin
 tmStarter.Enabled:=false;

 // load INI File
  try
   inif:=TInifile.Create(extractFilePath(application.exename)+'structorizer.ini');
   //lang
//LAZ

   setLang(inif.ReadString('Layout','Lang','uk'));
   if(inif.ReadString('Layout','Lang','uk')='uk') then mEnglish.checked:=true;
   if(inif.ReadString('Layout','Lang','uk')='fr') then mFrench.checked:=true;
   if(inif.ReadString('Layout','Lang','uk')='de') then mGerman.checked:=true;
   if(inif.ReadString('Layout','Lang','uk')='nl') then mDutch.checked:=true;    // 1.22

   //colors
   frmMyColors.color0.brush.Color:=inif.ReadInteger('Colors','color0',16777215);            // 1.25
   frmMyColors.color1.brush.Color:=inif.ReadInteger('Colors','color1',8421631);            // 1.25
   frmMyColors.color2.brush.Color:=inif.ReadInteger('Colors','color2',8454143);            // 1.25
   frmMyColors.color3.brush.Color:=inif.ReadInteger('Colors','color3',8454016);            // 1.25
   frmMyColors.color4.brush.Color:=inif.ReadInteger('Colors','color4',16777088);            // 1.25
   frmMyColors.color5.brush.Color:=inif.ReadInteger('Colors','color5',16744448);            // 1.25
   frmMyColors.color6.brush.Color:=inif.ReadInteger('Colors','color6',12615935);            // 1.25
   frmMyColors.color7.brush.Color:=inif.ReadInteger('Colors','color7',12632256);            // 1.25
   frmMyColors.color8.brush.Color:=inif.ReadInteger('Colors','color8',33023);            // 1.25
   frmMyColors.color9.brush.Color:=inif.ReadInteger('Colors','color9',16744576);            // 1.25

   generateIcon(frmMyColors.color0.brush.Color,0+65);                                // 1.25
   generateIcon(frmMyColors.color1.brush.Color,1+65);                                // 1.25
   generateIcon(frmMyColors.color2.brush.Color,2+65);                                // 1.25
   generateIcon(frmMyColors.color3.brush.Color,3+65);                                // 1.25
   generateIcon(frmMyColors.color4.brush.Color,4+65);                                // 1.25
   generateIcon(frmMyColors.color5.brush.Color,5+65);                                // 1.25
   generateIcon(frmMyColors.color6.brush.Color,6+65);                                // 1.25
   generateIcon(frmMyColors.color7.brush.Color,7+65);                                // 1.25
   generateIcon(frmMyColors.color8.brush.Color,8+65);                                // 1.25
   generateIcon(frmMyColors.color9.brush.Color,9+65);                                // 1.25

 finally
 // free INI File
   inif.Free;
 end;

 frmAnalyser.chkEnabled.Checked:=false;
 mAnalyser.Checked:=false;
{$IfDef ANALYSER}
 //timerAnalyser.Enabled:=frmAnalyser.chkEnabled.checked;                       // 1.25
 analysePoints.Visible:=frmAnalyser.chkEnabled.checked;
{$EndIf}

 try
   liar:=Get_Bios_Serial;
   mutt:='';
   for i:=1 to length(liar) do mutt:=liar[i]+mutt;
   liar:=mutt;
   mImport.Visible:=(pos(lowercase(mutt),lowercase(control))>0);
   smPascalSource.Visible:=mImport.Visible;
   mVariableColorizer.Visible:=mImport.Visible;
   aExportSourceCode.Enabled:=mImport.Visible;
 except
 end;

end;

procedure Tmainform.scrollBoxDblClick(Sender: TObject);
begin
  image.top:=0;
  image.left:=0;
  self.ClientWidth:=self.image.Width;
  self.ClientHeight:=self.image.Height+toolbar.Height+(analysePoints.height*ord(analysePoints.Visible));
end;

procedure Tmainform.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
var selin:integer;
begin
//LAZ
{
 if (key=VK_DOWN) then
 begin
   if(root.selectedElement<>nil) then
   begin
    if(not(root.selectedElement is BRoot)and not(root.selectedElement is BSubqueue)) then
    begin

     selin:=(root.selectedElement.parent as BSubqueue).children.IndexOf(root.selectedElement);
     if(bselected<>nil) then bSelected.selected:=false;

     if((selin+1>=0)and(selin+1<(root.selectedElement.parent as BSubqueue).children.Count)) then
     begin
       root.selectedElement.selected:=false;
       root.selectedElement:=((root.selectedElement.parent as BSubqueue).children[selin+1] as BElement);
       root.selectedElement.selected:=true;
     end
     else
     begin
       root.selectedElement.selected:=false;
       root.selectedElement:=root.selectedElement.parent.parent;
       root.selectedElement.selected:=true;
     end;
     bSelected:=root.selectedElement;
     root.Draw(image);

    end;
   end;
 end else
 if (key=VK_UP) then
 begin
   if(root.selectedElement<>nil) then
   begin
    if(not(root.selectedElement is BRoot)and not(root.selectedElement is BSubqueue)) then
    begin

     selin:=(root.selectedElement.parent as BSubqueue).children.IndexOf(root.selectedElement);
     if(bselected<>nil) then bSelected.selected:=false;

     if((selin-1>=0)and(selin-1<(root.selectedElement.parent as BSubqueue).children.Count)) then
     begin
       root.selectedElement.selected:=false;
       root.selectedElement:=((root.selectedElement.parent as BSubqueue).children[selin-1] as BElement);
       root.selectedElement.selected:=true;
     end
     else
     begin
       root.selectedElement.selected:=false;
       root.selectedElement:=root.selectedElement.parent.parent;
       root.selectedElement.selected:=true;
     end;
     bSelected:=root.selectedElement;
     root.Draw(image);

    end;
   end;
 end else
 if (key=VK_RIGHT)or(key=VK_LEFT) then
 begin
   if(root.selectedElement<>nil) then
   begin
    if(root.selectedElement is BAlternative) then
    begin
     if(bselected<>nil) then bSelected.selected:=false;
     if(root.selectedElement as BAlternative).qTrue.children.Count>0 then
     begin
      root.selectedElement.selected:=false;
      root.selectedElement:=((root.selectedElement as BAlternative).qTrue.children[0] as BElement);
      root.selectedElement.selected:=true;
     end;
     bSelected:=root.selectedElement;
     root.Draw(image);
    end else
    if(root.selectedElement is BFor) then
    begin
     if(bselected<>nil) then bSelected.selected:=false;
     if(root.selectedElement as BFor).q.children.Count>0 then
     begin
      root.selectedElement.selected:=false;
      root.selectedElement:=((root.selectedElement as BFor).q.children[0] as BElement);
      root.selectedElement.selected:=true;
     end;
     bSelected:=root.selectedElement;
     root.Draw(image);
    end else
    if(root.selectedElement is BWhile) then
    begin
     if(bselected<>nil) then bSelected.selected:=false;
     if(root.selectedElement as BWhile).q.children.Count>0 then
     begin
      root.selectedElement.selected:=false;
      root.selectedElement:=((root.selectedElement as BWhile).q.children[0] as BElement);
      root.selectedElement.selected:=true;
     end;
     bSelected:=root.selectedElement;
     root.Draw(image);
    end else
    if(root.selectedElement is BRepeat) then
    begin
     if(bselected<>nil) then bSelected.selected:=false;
     if(root.selectedElement as BRepeat).q.children.Count>0 then
     begin
      root.selectedElement.selected:=false;
      root.selectedElement:=((root.selectedElement as BRepeat).q.children[0] as BElement);
      root.selectedElement.selected:=true;
     end;
     bSelected:=root.selectedElement;
     root.Draw(image);
    end else
    if(root.selectedElement is BWhile) then
    begin
     if(bselected<>nil) then bSelected.selected:=false;
     if(root.selectedElement as BWhile).q.children.Count>0 then
     begin
      root.selectedElement.selected:=false;
      root.selectedElement:=((root.selectedElement as BWhile).q.children[0] as BElement);
      root.selectedElement.selected:=true;
     end;
     bSelected:=root.selectedElement;
     root.Draw(image);
    end else
    if(root.selectedElement is BRoot) then
    begin
     if(bselected<>nil) then bSelected.selected:=false;
     if(root.selectedElement as BRoot).children.children.Count>0 then
     begin
      root.selectedElement.selected:=false;
      root.selectedElement:=((root.selectedElement as BRoot).children.children[0] as BElement);
      root.selectedElement.selected:=true;
     end;
     bSelected:=root.selectedElement;
     root.Draw(image);
    end else
    if(root.selectedElement.parent.parent is BAlternative) then
    begin
     if(bselected<>nil) then bSelected.selected:=false;
     if((root.selectedElement.parent.parent as BAlternative).qtrue=root.selectedElement.parent) then
     begin
      if(root.selectedElement.parent.parent as BAlternative).qfalse.children.Count>0 then
      begin
       root.selectedElement.selected:=false;
       root.selectedElement:=((root.selectedElement.parent.parent as BAlternative).qfalse.children[0] as BElement);
       root.selectedElement.selected:=true;
      end;
     end
     else
     begin
      if(root.selectedElement.parent.parent as BAlternative).qTrue.children.Count>0 then
      begin
       root.selectedElement.selected:=false;
       root.selectedElement:=((root.selectedElement.parent.parent as BAlternative).qTrue.children[0] as BElement);
       root.selectedElement.selected:=true;
      end;
     end;
     bSelected:=root.selectedElement;
     root.Draw(image);
    end;

   end;
 end;
}
end;

procedure Tmainform.mOptionsClick(Sender: TObject);                             // 1.19
begin                                                                           // 1.19
 with frmPreferences do                                                         // 1.19
 begin                                                                          // 1.19
  edtTrue.Text:=strAlternativeTrue.caption;                                     // 1.19
  edtFalse.Text:=strAlternativeFalse.caption;                                   // 1.19
  edtFor.Text:=strFor.caption;                                                  // 1.19
  edtWhile.Text:=strWhile.caption;                                              // 1.19
  edtRepeat.Text:=strRepeat.caption;                                            // 1.19
  edtIf.Text:=strIf.caption;                                                    // 1.22
  meCase.lines.commatext:=strCase.caption;                                      // 1.22
  if (frmPreferences.showmodal=mrOK) then                                       // 1.19
  begin                                                                         // 1.19
    strAlternativeTrue.Caption:=edtTrue.Text;                                   // 1.19
    strAlternativeFalse.Caption:=edtFalse.Text;                                 // 1.19
    strFor.Caption:=edtFor.Text;                                                // 1.19
    strWhile.Caption:=edtWhile.Text;                                            // 1.19
    strRepeat.Caption:=edtRepeat.Text;                                          // 1.19
    strIf.Caption:=edtIf.Text;                                                  // 1.22
    strCase.Caption:=meCase.lines.commatext;                                    // 1.22
    NSDUtils.txtTrue:=edtTrue.Text;                                             // 1.25
    NSDUtils.txtFalse:=edtFalse.Text;                                           // 1.25
    root.draw(image);                                                           // 1.20
  end;                                                                          // 1.19
 end;                                                                           // 1.19
end;                                                                            // 1.19

procedure Tmainform.aCaseAfterExecute(Sender: TObject);
var el:BCase;
    s:UTF8String;
begin
 s:=InputBox(self,strInputBox.caption,strCaseNew.caption,AnsiReplaceStr(strCase.caption,',',#13#10),''); // 1.22
 if(inputform.memo.Lines.Count>=3) then
 begin
  if ((s<>'')and(s<>'???')) then
  begin
   addUndo;
   el:=BCase.create;
   el.setTextLines(s);
   el.comment.text:=inputform.comment.text;
   root.addAfterSelected(el);
   root.Draw(image);
  end;
 end
 else MessageDlg(strCaseError.caption,mtError,[mbOK],0);
 doBouttons;
end;


procedure Tmainform.aCaseBeforeExecute(Sender: TObject);
var el:BCase;
    s:UTF8String;
begin
 s:=InputBox(self,strInputBox.caption,strCaseNew.caption,AnsiReplaceStr(strCase.caption,',',#13#10),'');  // 1.22
 if(inputform.memo.Lines.Count>=3) then
 begin
  if ((s<>'')and(s<>'???')) then
  begin
   addUndo;
   el:=BCase.create;
   el.setTextLines(s);
   el.comment.text:=inputform.comment.text;
   root.addBeforeSelected(el);
   root.Draw(image);
  end;
 end
 else MessageDlg(strCaseError.caption,mtError,[mbOK],0);
 doBouttons;
end;

procedure Tmainform.aCallBeforeExecute(Sender: TObject);
var el:BCall;
    s:UTF8String;
begin
 s:=InputBox(self,strInputBox.caption,strNew.caption,'','');
 s:=AnsiReplaceStr(s,':=',' <- ');
 if ((s<>'')and(s<>'???')) then
 begin
  addUndo;
  el:=BCall.create;
  el.text.text:=s;
  el.comment.text:=inputform.comment.text;
  root.addBeforeSelected(el);
  root.Draw(image);
 end;
 doBouttons;
end;

procedure Tmainform.aCallAfterExecute(Sender: TObject);
var el:BCall;
    s:UTF8String;
begin
 s:=InputBox(self,strInputBox.caption,strNew.caption,'','');
 s:=AnsiReplaceStr(s,':=',' <- ');
 if ((s<>'')and(s<>'???')) then
 begin
  addUndo;
  el:=BCall.create;
  el.text.text:=s;
  el.comment.text:=inputform.comment.text;
  root.addAfterSelected(el);
  root.Draw(image);
 end;
 doBouttons;
end;


procedure Tmainform.mDutchClick(Sender: TObject);
begin
 setLang('nl');                                          // 1.22
end;

procedure Tmainform.mUpdaterClick(Sender: TObject);
begin
 frmUpdate.showmodal;
end;

procedure Tmainform.aPasteClipbrdExecute(Sender: TObject);
//LAZ var parser:BParser;
begin
//LAZ
{
 if(root.selectedElement<>nil) then                                                     // V1.23
 begin                                                                                  // V1.23
        if(root.selectedElement is BSubqueue) then                                      // V1.23
        begin                                                                           // V1.23
             parser:=BParser.create;                                                    // V1.23
             parser.parseInto(Clipboard.AsText,root.selectedElement as BSubqueue);      // V1.23
             parser.free;                                                               // V1.23
             root.Draw(Image);                                                          // V1.23
        end                                                                             // V1.23
        else                                                                            // V1.23
        begin                                                                           // V1.23
          if(root.selectedElement.parent is BSubqueue) then                             // V1.23
          begin                                                                         // V1.23
             parser:=BParser.create;                                                    // V1.23
             parser.parseIntoPos(Clipboard.AsText,root.selectedElement.parent as BSubqueue,
                                 (root.selectedElement.parent as BSubqueue).children.IndexOf(root.selectedElement));// V1.23
             parser.free;                                                               // V1.23
             root.Draw(Image);                                                          // V1.23
          end;                                                                          // V1.23
        end;
 end;
}
end;


procedure Tmainform.aToggleAnalyserExecute(Sender: TObject);
begin
 frmAnalyser.chkEnabled.checked:=not(frmAnalyser.chkEnabled.checked);
 tToggleAnalyser.Down:=frmAnalyser.chkEnabled.checked;
 //timerAnalyser.Enabled:=frmAnalyser.chkEnabled.checked;                       // 1.24
 analysePoints.Visible:=frmAnalyser.chkEnabled.checked;
end;

procedure Tmainform.aJumpAfterExecute(Sender: TObject);                         // 1.24
var el:BJump;
    s:UTF8String;
begin
 s:=InputBox(self,strInputBox.caption,strNew.caption,'','');
 s:=AnsiReplaceStr(s,':=',' <- ');
 if ((s<>'')and(s<>'???')) then
 begin
  addUndo;
  el:=BJump.create;
  el.text.text:=s;
  el.comment.text:=inputform.comment.text;
  root.addAfterSelected(el);
  root.Draw(image);
 end;
 doBouttons;
end;

procedure Tmainform.aJumpBeforeExecute(Sender: TObject);                        // 1.24
var el:BJump;
    s:UTF8String;
begin
 s:=InputBox(self,strInputBox.caption,strNew.caption,'','');
 s:=AnsiReplaceStr(s,':=',' <- ');
 if ((s<>'')and(s<>'???')) then
 begin
  addUndo;
  el:=BJump.create;
  el.text.text:=s;
  el.comment.text:=inputform.comment.text;
  root.addBeforeSelected(el);
  root.Draw(image);
 end;
 doBouttons;
end;


procedure Tmainform.aConvertInstructionExecute(Sender: TObject);                // 1.25
begin
  if(root.selectedElement<>nil) then
  begin
    root.convert(root.selectedElement,'BInstruction');
    root.Draw(image);
  end;
end;

procedure Tmainform.aConvertCallExecute(Sender: TObject);                       // 1.25
begin
  if(root.selectedElement<>nil) then
  begin
    root.convert(root.selectedElement,'BCall');
    root.Draw(image);
  end;
end;

procedure Tmainform.aConvertJumpExecute(Sender: TObject);                       // 1.25
begin
  if(root.selectedElement<>nil) then
  begin
    root.convert(root.selectedElement,'BJump');
    root.Draw(image);
  end;
end;

procedure Tmainform.aConvertForExecute(Sender: TObject);                           // 1.25
begin
  if(root.selectedElement<>nil) then
  begin
    root.convert(root.selectedElement,'BFor');
    root.Draw(image);
  end;
end;

procedure Tmainform.aConvertWhileExecute(Sender: TObject);                         // 1.25
begin
  if(root.selectedElement<>nil) then
  begin
    root.convert(root.selectedElement,'BWhile');
    root.Draw(image);
  end;
end;

procedure Tmainform.aConvertIfExecute(Sender: TObject);                            // 1.25
begin
  if(root.selectedElement<>nil) then
  begin
    root.convert(root.selectedElement,'BAlternative');
    root.Draw(image);
  end;
end;

procedure Tmainform.aConvertRepeatExecute(Sender: TObject);                        // 1.25
begin
  if(root.selectedElement<>nil) then
  begin
    root.convert(root.selectedElement,'BRepeat');
    root.Draw(image);
  end;
end;

procedure Tmainform.aConvertCaseExecute(Sender: TObject);                          // 1.25
begin
  if(root.selectedElement<>nil) then
  begin
    root.convert(root.selectedElement,'BCase');
    root.Draw(image);
  end;
end;

procedure Tmainform.generateIcon(_color:TColor; _index:byte);                   // 1.25
var myIcon:TBitmap;
begin
 myIcon:=TBitmap.Create;
 myIcon.Width:=16;
 myIcon.Height:=16;
 with myIcon.Canvas do
 begin
   brush.Style:=bssolid;
   brush.Color:=_color;
   pen.Style:=psSolid;
   pen.Color:=brush.color;
   rectangle(0,0,16,16);
 end;
 //imagelist.Replace(_index,myicon,nil);
 imagelist.Delete(_index);
 imagelist.Insert(_index,myicon,nil);
end;


procedure Tmainform.aColor0Execute(Sender: TObject);                            // 1.25
var myBit:TBitmap;
    s:ansistring;
begin
  if(bSelected<>nil) then
  begin
   addUndo;
   //myBit:=TBitmap.create;
   //ImageList.GetBitmap((sender as TAction).ImageIndex,myBit);
   
   s:=(sender as TAction).name;
   delete(s,1,length(s)-1);

   bSelected.setChildrenColor((frmMyColors.FindComponent('color'+s) as TShape).brush.color);
//   bSelected.setChildrenColor(myBit.Canvas.Pixels[5,5]);
   //myBit.free;
   root.changed:=true;
  end;
  root.Draw(image);
end;

procedure Tmainform.mColorsClick(Sender: TObject);
begin
  frmMyColors.showmodal;                                                        // 1.25
end;

procedure Tmainform.XMLSAXParserEnd(Sender: TObject; Symbol: UTF8String);
begin

end;

procedure Tmainform.XMLSAXParserEndElement(Sender: TObject; Symbol: AnsiString);
begin
 if(Symbol='root') then
 begin
  lastE:=(stack.Pop as BElement);
 end
 else if(Symbol='instruction') then
 begin
  lastE:=(stack.Pop as BElement);
 end
 else if(Symbol='jump') then
 begin
  lastE:=(stack.Pop as BElement);
 end
 else if(Symbol='call') then
 begin
  lastE:=(stack.Pop as BElement);
 end
 else if(Symbol='alternative') then
 begin
  lastE:=(stack.Pop as BElement);
 end
 else if(Symbol='while') then
 begin
  lastE:=(stack.Pop as BElement);
 end
 else if(Symbol='for') then
 begin
  lastE:=(stack.Pop as BElement);
 end
 else if(Symbol='repeat') then
 begin
  lastE:=(stack.Pop as BElement);
 end
 else if(Symbol='case') then
 begin
  lastE:=(stack.Pop as BElement);
  cStack.Pop;
 end

 else if(Symbol='qCase') then
 begin
  lastQ:=(qStack.pop as BSubqueue);
  lastQ:=(qStack.Peek as BSubqueue);
  //while(not(lastE is BCase)) do lastE:=(stack.Pop as BElement);
 end
 else if(Symbol='children') then
 begin
  lastQ:=(qStack.pop as BSubqueue);
  //lastQ:=(qStack.Peek as BSubqueue);
 end
 else if(Symbol='qTrue') then
 begin
  lastQ:=(qStack.pop as BSubqueue);
  lastQ:=(qStack.Peek as BSubqueue);
 end
 else if(Symbol='qFalse') then
 begin
  lastQ:=(qStack.pop as BSubqueue);
  lastQ:=(qStack.Peek as BSubqueue);
 end
 else if(Symbol='qFor') then
 begin
  lastQ:=(qStack.pop as BSubqueue);
  lastQ:=(qStack.Peek as BSubqueue);
 end
 else if(Symbol='qWhile') then
 begin
  lastQ:=(qStack.pop as BSubqueue);
  lastQ:=(qStack.Peek as BSubqueue);
 end
 else if(Symbol='qRepeat') then
 begin
  lastQ:=(qStack.pop as BSubqueue);
  lastQ:=(qStack.Peek as BSubqueue);
 end;

end;

procedure Tmainform.XMLSAXParserHeader(Sender: TObject; Symbol: UTF8String;
  Params: TXMLParamList);
begin

end;

procedure Tmainform.XMLSAXParserStartElement(Sender: TObject;
  Symbol: AnsiString; Params: TXMLParamList);
var el:BElement;
    i:integer;
    s,full,tull,val:UTF8String;
begin
 if(Symbol='root') then
 begin
  root.isProgram:=true;
  root.isNice:=true;
  s:='';
  full:='';
  tull:='';
  for i:=0 to params.Count-1 do
  begin
   s:=params.names[i];
   delete(s,1,length(full));
   full:=full+s;
   val:=params.IndexedValues[i];
   delete(val,1,length(tull));
   tull:=tull+val;
   if(s='type') then if(val='program') then root.isProgram:=true
                     else root.isProgram:=false;
   if(s='style')then if(val='nice') then root.isNice:=true
                     else root.isNice:=false;
   if(s='color')then root.color:=StrtoInt('$'+Rev(val));
   if(s='text') then root.text.commatext:=xmlUnTransform(val);
   if(s='comment')then root.comment.commatext:=xmlUnTransform(val);
  end;
  NSDUtils.flagDrawComments:=NSDUtils.flagDrawComments or (trim(root.comment.commatext)<>'');
  lastE:=root;
  stack.Push(root);
 end
 else if(Symbol='instruction') then
 begin
  el:=BInstruction.create;
  s:='';
  full:='';
  tull:='';
  for i:=0 to params.Count-1 do
  begin
   s:=params.names[i];
   delete(s,1,length(full));
   full:=full+s;
   val:=params.IndexedValues[i];
   delete(val,1,length(tull));
   tull:=tull+val;
   if(s='color')then el.color:=StrtoInt('$'+Rev(val));
   if(s='text') then el.text.commatext:=xmlUnTransform(val);
   if(s='comment')then el.comment.commatext:=xmlUnTransform(val);
  end;
  NSDUtils.flagDrawComments:=NSDUtils.flagDrawComments or (trim(el.comment.commatext)<>'');
  lastE:=el;
  stack.Push(el);
  lastQ.AddElement(el);
 end
 else if(Symbol='jump') then
 begin
  el:=BJump.create;
  s:='';
  full:='';
  tull:='';
  for i:=0 to params.Count-1 do
  begin
   s:=params.names[i];
   delete(s,1,length(full));
   full:=full+s;
   val:=params.IndexedValues[i];
   delete(val,1,length(tull));
   tull:=tull+val;
   if(s='color')then el.color:=StrtoInt('$'+Rev(val));
   if(s='text') then el.text.commatext:=xmlUnTransform(val);
   if(s='comment')then el.comment.commatext:=xmlUnTransform(val);
  end;
  NSDUtils.flagDrawComments:=NSDUtils.flagDrawComments or (trim(el.comment.commatext)<>'');
  lastE:=el;
  stack.Push(el);
  lastQ.AddElement(el);
 end
 else if(Symbol='call') then
 begin
  el:=BCall.create;
  s:='';
  full:='';
  tull:='';
  for i:=0 to params.Count-1 do
  begin
   s:=params.names[i];
   delete(s,1,length(full));
   full:=full+s;
   val:=params.IndexedValues[i];
   delete(val,1,length(tull));
   tull:=tull+val;
   if(s='color')then el.color:=StrtoInt('$'+Rev(val));
   if(s='text') then el.text.commatext:=xmlUnTransform(val);
   if(s='comment')then el.comment.commatext:=xmlUnTransform(val);
  end;
  NSDUtils.flagDrawComments:=NSDUtils.flagDrawComments or (trim(el.comment.commatext)<>'');
  lastE:=el;
  stack.Push(el);
  lastQ.AddElement(el);
 end
 else if(Symbol='alternative') then
 begin
  el:=BAlternative.create;
  s:='';
  full:='';
  tull:='';
  for i:=0 to params.Count-1 do
  begin
   s:=params.names[i];
   delete(s,1,length(full));
   full:=full+s;
   val:=params.IndexedValues[i];
   delete(val,1,length(tull));
   tull:=tull+val;
   if(s='color')then el.color:=StrtoInt('$'+Rev(val));
   if(s='text') then el.text.commatext:=xmlUnTransform(val);
   if(s='comment')then el.comment.commatext:=xmlUnTransform(val);
  end;
  NSDUtils.flagDrawComments:=NSDUtils.flagDrawComments or (trim(el.comment.commatext)<>'');
  lastE:=el;
  stack.Push(el);
  lastQ.AddElement(el);
 end
 else if(Symbol='while') then
 begin
  el:=BWhile.create;
  s:='';
  full:='';
  tull:='';
  for i:=0 to params.Count-1 do
  begin
   s:=params.names[i];
   delete(s,1,length(full));
   full:=full+s;
   val:=params.IndexedValues[i];
   delete(val,1,length(tull));
   tull:=tull+val;
   if(s='color')then el.color:=StrtoInt('$'+Rev(val));
   if(s='text') then el.text.commatext:=xmlUnTransform(val);
   if(s='comment')then el.comment.commatext:=xmlUnTransform(val);
  end;
  NSDUtils.flagDrawComments:=NSDUtils.flagDrawComments or (trim(el.comment.commatext)<>'');
  lastE:=el;
  stack.Push(el);
  lastQ.AddElement(el);
 end
 else if(Symbol='for') then
 begin
  el:=BFor.create;
  s:='';
  full:='';
  tull:='';
  for i:=0 to params.Count-1 do
  begin
   s:=params.names[i];
   delete(s,1,length(full));
   full:=full+s;
   val:=params.IndexedValues[i];
   delete(val,1,length(tull));
   tull:=tull+val;
   if(s='color')then el.color:=StrtoInt('$'+Rev(val));
   if(s='text') then el.text.commatext:=xmlUnTransform(val);
   if(s='comment')then el.comment.commatext:=xmlUnTransform(val);
  end;
  NSDUtils.flagDrawComments:=NSDUtils.flagDrawComments or (trim(el.comment.commatext)<>'');
  lastE:=el;
  stack.Push(el);
  lastQ.AddElement(el);
 end
 else if(Symbol='repeat') then
 begin
  el:=BRepeat.create;
  s:='';
  full:='';
  tull:='';
  for i:=0 to params.Count-1 do
  begin
   s:=params.names[i];
   delete(s,1,length(full));
   full:=full+s;
   val:=params.IndexedValues[i];
   delete(val,1,length(tull));
   tull:=tull+val;
   if(s='color')then el.color:=StrtoInt('$'+Rev(val));
   if(s='text') then el.text.commatext:=xmlUnTransform(val);
   if(s='comment')then el.comment.commatext:=xmlUnTransform(val);
  end;
  NSDUtils.flagDrawComments:=NSDUtils.flagDrawComments or (trim(el.comment.commatext)<>'');
  lastE:=el;
  stack.Push(el);
  lastQ.AddElement(el);
 end
 else if(Symbol='case') then
 begin
  el:=BCase.create;
  s:='';
  full:='';
  tull:='';
  for i:=0 to params.Count-1 do
  begin
   s:=params.names[i];
   delete(s,1,length(full));
   full:=full+s;
   val:=params.IndexedValues[i];
   delete(val,1,length(tull));
   tull:=tull+val;
   if(s='color')then el.color:=StrtoInt('$'+Rev(val));
   if(s='text') then el.text.commatext:=xmlUnTransform(val);
   if(s='comment')then el.comment.commatext:=xmlUnTransform(val);
  end;
  NSDUtils.flagDrawComments:=NSDUtils.flagDrawComments or (trim(el.comment.commatext)<>'');
  lastE:=el;
  stack.Push(el);
  lastQ.AddElement(el);
  cStack.Push(el);
 end

 else if(Symbol='qCase') then
 begin
  lastQ:=BSubqueue.create;
  ((cStack.Peek) as BCase).qs.Add(lastQ);
  qStack.Push(lastQ);
 end
 else if(Symbol='children') then
 begin
  lastQ:=Root.children;
  qStack.Push(lastQ);
 end
 else if(Symbol='qTrue') then
 begin
  lastQ:=(lastE as BAlternative).qTrue;
  ifStack.Push((lastE as BAlternative).qFalse);
  qStack.Push(lastQ);
 end
 else if(Symbol='qFalse') then
 begin
  lastQ:=(ifStack.pop as BSubqueue);
  qStack.Push(lastQ);
 end
 else if(Symbol='qFor') then
 begin
  lastQ:=(lastE as BFor).q;
  qStack.Push(lastQ);
 end
 else if(Symbol='qWhile') then
 begin
  lastQ:=(lastE as BWhile).q;
  qStack.Push(lastQ);
 end
 else if(Symbol='qRepeat') then
 begin
  lastQ:=(lastE as BRepeat).q;
  qStack.Push(lastQ);
 end;
end;

procedure Tmainform.parseNSD(_fn:UTF8String);
var input:TStringList;
    XMLSAXParser:TXMLSAXParser;
begin
 stack:=TObjectStack.Create;
 ifStack:=TObjectStack.Create;
 qStack:=TObjectStack.create;
 cStack:=TObjectStack.create;

 input:=TStringList.create;
 input.LoadFromFile(_fn);
 XMLSAXParser:=TXMLSAXParser.create(nil);
 XMLSAXParser.OnEndElement:=@XMLSAXParserEndElement;
 XMLSAXParser.OnStartElement:=@XMLSAXParserStartElement;
 XMLSAXParser.source:=PChar(input.text);
 while not XMLSAXParser.eof do XMLSAXParser.NextToken;
 XMLSAXParser.free;
 input.free;

 cstack.free;
 stack.free;
 ifStack.Free;
 qStack.free;
end;


initialization
  {$I form_main.lrs}


end.
