unit form_mycolors;

interface

uses
  //WIN Windows,
  Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls,
  LResources,
  LCLType;

type

  { TfrmMyColors }

  TfrmMyColors = class(TForm)
    Panel1: TPanel;
    btnOK: TButton;
    dlgColor: TColorDialog;
    lbl0: TLabel;
    lbl1: TLabel;
    lbl2: TLabel;
    lbl3: TLabel;
    lbl4: TLabel;
    lbl5: TLabel;
    lbl6: TLabel;
    lbl7: TLabel;
    lbl8: TLabel;
    lbl9: TLabel;
    color0: TShape;
    color9: TShape;
    color1: TShape;
    color2: TShape;
    color3: TShape;
    color4: TShape;
    color5: TShape;
    color6: TShape;
    color7: TShape;
    color8: TShape;
    procedure color0ChangeBounds(Sender: TObject);
    procedure color0MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure btnOKClick(Sender: TObject);
    procedure color0Click(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
    frmMyColors: TfrmMyColors;            // 1.25



implementation

uses form_main;


procedure TfrmMyColors.color0Click(Sender: TObject);
var s:string;
begin
 if(dlgColor.Execute) then
 begin
   // LAZ "carbon" has no colored panels!
  (sender as TPanel).Color:=dlgColor.Color;
  s:=(sender as TPanel).Name;
  delete(s,1,length(s)-1);
  //LAZ (owner as TMainform).generateIcon(dlgColor.Color,strtoint(s)+65);
  mainform.generateIcon(dlgColor.Color,strtoint(s)+65);
 end;
end;

procedure TfrmMyColors.btnOKClick(Sender: TObject);
begin

end;

procedure TfrmMyColors.color0MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var s:string;
begin
 dlgColor.color:=(sender as TShape).brush.Color;
 if(dlgColor.Execute) then
 begin
   // LAZ "carbon" has no colored panels!
  (sender as TShape).brush.Color:=dlgColor.Color;
  s:=(sender as TShape).Name;
  delete(s,1,length(s)-1);
  //LAZ (owner as TMainform).generateIcon(dlgColor.Color,strtoint(s)+65);
  mainform.generateIcon(dlgColor.Color,strtoint(s)+65);
 end;
end;

procedure TfrmMyColors.color0ChangeBounds(Sender: TObject);
begin

end;

procedure TfrmMyColors.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
 if(key=vk_escape) then modalresult:=mrcancel; //1.25
end;

initialization
  {$I form_mycolors.lrs}


end.
